import{S as La,i as Ma,s as Na,e as i,k as l,w as y,t as s,M as Oa,c as o,d as t,m as f,a,x,h as r,b as p,G as e,g as v,y as w,q as $,o as D,B as P,v as Va,L as Fo}from"../../../../chunks/vendor-hf-doc-builder.js";import{D as C}from"../../../../chunks/Docstring-hf-doc-builder.js";import{C as Lo}from"../../../../chunks/CodeBlock-hf-doc-builder.js";import{I as Fa}from"../../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ao}from"../../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function qa(K){let m,S,_,u,E;return u=new Lo({props:{code:`import torch
from diffusers import StableDiffusionPipeline

pipe = StableDiffusionPipeline.from_pretrained("runwayml/stable-diffusion-v1-5", torch_dtype=torch.float16)
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
image = pipe(prompt).images[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableDiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe(prompt).images[<span class="hljs-number">0</span>]`}}),{c(){m=i("p"),S=s("Examples:"),_=l(),y(u.$$.fragment)},l(d){m=o(d,"P",{});var b=a(m);S=r(b,"Examples:"),b.forEach(t),_=f(d),x(u.$$.fragment,d)},m(d,b){v(d,m,b),e(m,S),v(d,_,b),w(u,d,b),E=!0},p:Fo,i(d){E||($(u.$$.fragment,d),E=!0)},o(d){D(u.$$.fragment,d),E=!1},d(d){d&&t(m),d&&t(_),P(u,d)}}}function za(K){let m,S,_,u,E;return u=new Lo({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){m=i("p"),S=s("Examples:"),_=l(),y(u.$$.fragment)},l(d){m=o(d,"P",{});var b=a(m);S=r(b,"Examples:"),b.forEach(t),_=f(d),x(u.$$.fragment,d)},m(d,b){v(d,m,b),e(m,S),v(d,_,b),w(u,d,b),E=!0},p:Fo,i(d){E||($(u.$$.fragment,d),E=!0)},o(d){D(u.$$.fragment,d),E=!1},d(d){d&&t(m),d&&t(_),P(u,d)}}}function Ua(K){let m,S,_,u,E;return u=new Lo({props:{code:`import jax
import numpy as np
from flax.jax_utils import replicate
from flax.training.common_utils import shard

from diffusers import FlaxStableDiffusionPipeline

pipeline, params = FlaxStableDiffusionPipeline.from_pretrained(
    "runwayml/stable-diffusion-v1-5", revision="bf16", dtype=jax.numpy.bfloat16
)

prompt = "a photo of an astronaut riding a horse on mars"

prng_seed = jax.random.PRNGKey(0)
num_inference_steps = 50

num_samples = jax.device_count()
prompt = num_samples * [prompt]
prompt_ids = pipeline.prepare_inputs(prompt)

params = replicate(params)
prng_seed = jax.random.split(prng_seed, jax.device_count())
prompt_ids = shard(prompt_ids)

images = pipeline(prompt_ids, params, prng_seed, num_inference_steps, jit=True).images
images = pipeline.numpy_to_pil(np.asarray(images.reshape((num_samples,) + images.shape[-3:])))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax.jax_utils <span class="hljs-keyword">import</span> replicate
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax.training.common_utils <span class="hljs-keyword">import</span> shard

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxStableDiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline, params = FlaxStableDiffusionPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>, revision=<span class="hljs-string">&quot;bf16&quot;</span>, dtype=jax.numpy.bfloat16
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>prng_seed = jax.random.PRNGKey(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>num_inference_steps = <span class="hljs-number">50</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>num_samples = jax.device_count()
<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = num_samples * [prompt]
<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_ids = pipeline.prepare_inputs(prompt)
<span class="hljs-comment"># shard inputs and rng</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>params = replicate(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>prng_seed = jax.random.split(prng_seed, jax.device_count())
<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_ids = shard(prompt_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipeline(prompt_ids, params, prng_seed, num_inference_steps, jit=<span class="hljs-literal">True</span>).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipeline.numpy_to_pil(np.asarray(images.reshape((num_samples,) + images.shape[-<span class="hljs-number">3</span>:])))`}}),{c(){m=i("p"),S=s("Examples:"),_=l(),y(u.$$.fragment)},l(d){m=o(d,"P",{});var b=a(m);S=r(b,"Examples:"),b.forEach(t),_=f(d),x(u.$$.fragment,d)},m(d,b){v(d,m,b),e(m,S),v(d,_,b),w(u,d,b),E=!0},p:Fo,i(d){E||($(u.$$.fragment,d),E=!0)},o(d){D(u.$$.fragment,d),E=!1},d(d){d&&t(m),d&&t(_),P(u,d)}}}function Ga(K){let m,S,_,u,E,d,b,tt,hn,Ot,G,B,nt,oe,gn,it,_n,Vt,k,bn,ae,vn,yn,se,xn,wn,re,$n,Dn,le,Pn,En,Ke,Sn,kn,qt,Be,In,zt,H,fe,ot,jn,Cn,de,Tn,An,pe,at,Fn,Ln,ce,Mn,Ut,He,Nn,Gt,I,ue,st,On,Vn,me,qn,zn,he,rt,Un,Gn,ge,Wn,Kn,_e,lt,Bn,Hn,be,Rn,Jn,ve,ft,Qn,Xn,ye,Yn,Zn,xe,dt,ei,ti,we,ni,ii,$e,pt,oi,ai,De,si,Wt,c,Pe,ri,ct,li,fi,Ee,di,Re,pi,ci,ui,M,Se,mi,ut,hi,gi,R,_i,N,ke,bi,mt,vi,yi,ht,xi,wi,J,Ie,$i,je,Di,gt,Pi,Ei,Si,O,Ce,ki,_t,Ii,ji,bt,Ci,Ti,Q,Te,Ai,Ae,Fi,vt,Li,Mi,Ni,j,Fe,Oi,yt,Vi,qi,xt,zi,Ui,wt,Gi,Wi,X,Ki,Y,Le,Bi,$t,Hi,Ri,V,Me,Ji,Dt,Qi,Xi,Pt,Yi,Zi,Z,Ne,eo,Oe,to,Et,no,io,oo,ee,Ve,ao,T,so,St,ro,lo,kt,fo,po,It,co,uo,jt,mo,ho,go,te,qe,_o,W,bo,Ct,vo,yo,Tt,xo,wo,Kt,A,ze,$o,At,Do,Po,Ue,Eo,Ft,So,ko,Io,q,Ge,jo,Lt,Co,To,ne,Bt;return d=new Fa({}),oe=new Fa({}),Pe=new C({props:{name:"class diffusers.StableDiffusionPipeline",anchor:"diffusers.StableDiffusionPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"text_encoder",val:": CLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"safety_checker",val:": StableDiffusionSafetyChecker"},{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"requires_safety_checker",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.StableDiffusionPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.StableDiffusionPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder. Stable Diffusion uses the text portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel" rel="nofollow">CLIP</a>, specifically
the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"text_encoder"},{anchor:"diffusers.StableDiffusionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableDiffusionPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableDiffusionPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/pr_2796/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/pr_2796/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/pr_2796/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/pr_2796/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.StableDiffusionPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>StableDiffusionSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.StableDiffusionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L55"}}),Se=new C({props:{name:"__call__",anchor:"diffusers.StableDiffusionPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"diffusers.StableDiffusionPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableDiffusionPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableDiffusionPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableDiffusionPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableDiffusionPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableDiffusionPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableDiffusionPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableDiffusionPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2796/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableDiffusionPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableDiffusionPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableDiffusionPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableDiffusionPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableDiffusionPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableDiffusionPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableDiffusionPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableDiffusionPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableDiffusionPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L513",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),R=new Ao({props:{anchor:"diffusers.StableDiffusionPipeline.__call__.example",$$slots:{default:[qa]},$$scope:{ctx:K}}}),ke=new C({props:{name:"enable_attention_slicing",anchor:"diffusers.StableDiffusionPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableDiffusionPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1349"}}),Ie=new C({props:{name:"disable_attention_slicing",anchor:"diffusers.StableDiffusionPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1365"}}),Ce=new C({props:{name:"enable_vae_slicing",anchor:"diffusers.StableDiffusionPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L173"}}),Te=new C({props:{name:"disable_vae_slicing",anchor:"diffusers.StableDiffusionPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L182"}}),Fe=new C({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableDiffusionPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1292"}}),X=new Ao({props:{anchor:"diffusers.StableDiffusionPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[za]},$$scope:{ctx:K}}}),Le=new C({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1324"}}),Me=new C({props:{name:"enable_vae_tiling",anchor:"diffusers.StableDiffusionPipeline.enable_vae_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L189"}}),Ne=new C({props:{name:"disable_vae_tiling",anchor:"diffusers.StableDiffusionPipeline.disable_vae_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L198"}}),Ve=new C({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableDiffusionPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L230"}}),qe=new C({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableDiffusionPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion.py#L205"}}),ze=new C({props:{name:"class diffusers.FlaxStableDiffusionPipeline",anchor:"diffusers.FlaxStableDiffusionPipeline",parameters:[{name:"vae",val:": FlaxAutoencoderKL"},{name:"text_encoder",val:": FlaxCLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"unet",val:": FlaxUNet2DConditionModel"},{name:"scheduler",val:": typing.Union[diffusers.schedulers.scheduling_ddim_flax.FlaxDDIMScheduler, diffusers.schedulers.scheduling_pndm_flax.FlaxPNDMScheduler, diffusers.schedulers.scheduling_lms_discrete_flax.FlaxLMSDiscreteScheduler, diffusers.schedulers.scheduling_dpmsolver_multistep_flax.FlaxDPMSolverMultistepScheduler]"},{name:"safety_checker",val:": FlaxStableDiffusionSafetyChecker"},{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"}],parametersDescription:[{anchor:"diffusers.FlaxStableDiffusionPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.FlaxAutoencoderKL">FlaxAutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.FlaxStableDiffusionPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>FlaxCLIPTextModel</code>) &#x2014;
Frozen text-encoder. Stable Diffusion uses the text portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.FlaxCLIPTextModel" rel="nofollow">CLIP</a>,
specifically the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"text_encoder"},{anchor:"diffusers.FlaxStableDiffusionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.FlaxStableDiffusionPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.FlaxUNet2DConditionModel">FlaxUNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.FlaxStableDiffusionPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/pr_2796/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<code>FlaxDDIMScheduler</code>, <code>FlaxLMSDiscreteScheduler</code>, <code>FlaxPNDMScheduler</code>, or
<code>FlaxDPMSolverMultistepScheduler</code>.`,name:"scheduler"},{anchor:"diffusers.FlaxStableDiffusionPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>FlaxStableDiffusionSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.FlaxStableDiffusionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_flax_stable_diffusion.py#L81"}}),Ge=new C({props:{name:"__call__",anchor:"diffusers.FlaxStableDiffusionPipeline.__call__",parameters:[{name:"prompt_ids",val:": array"},{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"prng_seed",val:": PRNGKeyArray"},{name:"num_inference_steps",val:": int = 50"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"guidance_scale",val:": typing.Union[float, array] = 7.5"},{name:"latents",val:": array = None"},{name:"neg_prompt_ids",val:": array = None"},{name:"return_dict",val:": bool = True"},{name:"jit",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.latents",description:`<strong>latents</strong> (<code>jnp.array</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. tensor will ge generated
by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.jit",description:`<strong>jit</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to run <code>pmap</code> versions of the generation and safety scoring functions. NOTE: This argument
exists because <code>__call__</code> is not yet end-to-end pmap-able. It will be removed in a future release.`,name:"jit"},{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>FlaxStableDiffusionPipelineOutput</code> instead of
a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_flax_stable_diffusion.py#L308",returnDescription:`
<p><code>FlaxStableDiffusionPipelineOutput</code> if <code>return_dict</code> is True, otherwise a
<code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><code>FlaxStableDiffusionPipelineOutput</code> or <code>tuple</code></p>
`}}),ne=new Ao({props:{anchor:"diffusers.FlaxStableDiffusionPipeline.__call__.example",$$slots:{default:[Ua]},$$scope:{ctx:K}}}),{c(){m=i("meta"),S=l(),_=i("h1"),u=i("a"),E=i("span"),y(d.$$.fragment),b=l(),tt=i("span"),hn=s("Text-to-Image Generation"),Ot=l(),G=i("h2"),B=i("a"),nt=i("span"),y(oe.$$.fragment),gn=l(),it=i("span"),_n=s("StableDiffusionPipeline"),Vt=l(),k=i("p"),bn=s("The Stable Diffusion model was created by the researchers and engineers from "),ae=i("a"),vn=s("CompVis"),yn=s(", "),se=i("a"),xn=s("Stability AI"),wn=s(", "),re=i("a"),$n=s("runway"),Dn=s(", and "),le=i("a"),Pn=s("LAION"),En=s(". The "),Ke=i("a"),Sn=s("StableDiffusionPipeline"),kn=s(" is capable of generating photo-realistic images given any text input using Stable Diffusion."),qt=l(),Be=i("p"),In=s("The original codebase can be found here:"),zt=l(),H=i("ul"),fe=i("li"),ot=i("em"),jn=s("Stable Diffusion V1"),Cn=s(": "),de=i("a"),Tn=s("CompVis/stable-diffusion"),An=l(),pe=i("li"),at=i("em"),Fn=s("Stable Diffusion v2"),Ln=s(": "),ce=i("a"),Mn=s("Stability-AI/stablediffusion"),Ut=l(),He=i("p"),Nn=s("Available Checkpoints are:"),Gt=l(),I=i("ul"),ue=i("li"),st=i("em"),On=s("stable-diffusion-v1-4 (512x512 resolution)"),Vn=l(),me=i("a"),qn=s("CompVis/stable-diffusion-v1-4"),zn=l(),he=i("li"),rt=i("em"),Un=s("stable-diffusion-v1-5 (512x512 resolution)"),Gn=l(),ge=i("a"),Wn=s("runwayml/stable-diffusion-v1-5"),Kn=l(),_e=i("li"),lt=i("em"),Bn=s("stable-diffusion-2-base (512x512 resolution)"),Hn=s(": "),be=i("a"),Rn=s("stabilityai/stable-diffusion-2-base"),Jn=l(),ve=i("li"),ft=i("em"),Qn=s("stable-diffusion-2 (768x768 resolution)"),Xn=s(": "),ye=i("a"),Yn=s("stabilityai/stable-diffusion-2"),Zn=l(),xe=i("li"),dt=i("em"),ei=s("stable-diffusion-2-1-base (512x512 resolution)"),ti=l(),we=i("a"),ni=s("stabilityai/stable-diffusion-2-1-base"),ii=l(),$e=i("li"),pt=i("em"),oi=s("stable-diffusion-2-1 (768x768 resolution)"),ai=s(": "),De=i("a"),si=s("stabilityai/stable-diffusion-2-1"),Wt=l(),c=i("div"),y(Pe.$$.fragment),ri=l(),ct=i("p"),li=s("Pipeline for text-to-image generation using Stable Diffusion."),fi=l(),Ee=i("p"),di=s("This model inherits from "),Re=i("a"),pi=s("DiffusionPipeline"),ci=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ui=l(),M=i("div"),y(Se.$$.fragment),mi=l(),ut=i("p"),hi=s("Function invoked when calling the pipeline for generation."),gi=l(),y(R.$$.fragment),_i=l(),N=i("div"),y(ke.$$.fragment),bi=l(),mt=i("p"),vi=s("Enable sliced attention computation."),yi=l(),ht=i("p"),xi=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),wi=l(),J=i("div"),y(Ie.$$.fragment),$i=l(),je=i("p"),Di=s("Disable sliced attention computation. If "),gt=i("code"),Pi=s("enable_attention_slicing"),Ei=s(` was previously invoked, this method will go
back to computing attention in one step.`),Si=l(),O=i("div"),y(Ce.$$.fragment),ki=l(),_t=i("p"),Ii=s("Enable sliced VAE decoding."),ji=l(),bt=i("p"),Ci=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Ti=l(),Q=i("div"),y(Te.$$.fragment),Ai=l(),Ae=i("p"),Fi=s("Disable sliced VAE decoding. If "),vt=i("code"),Li=s("enable_vae_slicing"),Mi=s(` was previously invoked, this method will go back to
computing decoding in one step.`),Ni=l(),j=i("div"),y(Fe.$$.fragment),Oi=l(),yt=i("p"),Vi=s("Enable memory efficient attention as implemented in xformers."),qi=l(),xt=i("p"),zi=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Ui=l(),wt=i("p"),Gi=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Wi=l(),y(X.$$.fragment),Ki=l(),Y=i("div"),y(Le.$$.fragment),Bi=l(),$t=i("p"),Hi=s("Disable memory efficient attention as implemented in xformers."),Ri=l(),V=i("div"),y(Me.$$.fragment),Ji=l(),Dt=i("p"),Qi=s("Enable tiled VAE decoding."),Xi=l(),Pt=i("p"),Yi=s(`When this option is enabled, the VAE will split the input tensor into tiles to compute decoding and encoding in
several steps. This is useful to save a large amount of memory and to allow the processing of larger images.`),Zi=l(),Z=i("div"),y(Ne.$$.fragment),eo=l(),Oe=i("p"),to=s("Disable tiled VAE decoding. If "),Et=i("code"),no=s("enable_vae_tiling"),io=s(` was previously invoked, this method will go back to
computing decoding in one step.`),oo=l(),ee=i("div"),y(Ve.$$.fragment),ao=l(),T=i("p"),so=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),St=i("code"),ro=s("enable_sequential_cpu_offload"),lo=s(", this method moves one whole model at a time to the GPU when its "),kt=i("code"),fo=s("forward"),po=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),It=i("code"),co=s("enable_sequential_cpu_offload"),uo=s(", but performance is much better due to the iterative execution of the "),jt=i("code"),mo=s("unet"),ho=s("."),go=l(),te=i("div"),y(qe.$$.fragment),_o=l(),W=i("p"),bo=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),Ct=i("code"),vo=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),yo=s("forward"),Tt=i("code"),xo=s("method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),wo=s("enable_model_cpu_offload`, but performance is lower."),Kt=l(),A=i("div"),y(ze.$$.fragment),$o=l(),At=i("p"),Do=s("Pipeline for text-to-image generation using Stable Diffusion."),Po=l(),Ue=i("p"),Eo=s("This model inherits from "),Ft=i("code"),So=s("FlaxDiffusionPipeline"),ko=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Io=l(),q=i("div"),y(Ge.$$.fragment),jo=l(),Lt=i("p"),Co=s("Function invoked when calling the pipeline for generation."),To=l(),y(ne.$$.fragment),this.h()},l(n){const h=Oa('[data-svelte="svelte-1phssyn"]',document.head);m=o(h,"META",{name:!0,content:!0}),h.forEach(t),S=f(n),_=o(n,"H1",{class:!0});var We=a(_);u=o(We,"A",{id:!0,class:!0,href:!0});var Mt=a(u);E=o(Mt,"SPAN",{});var Nt=a(E);x(d.$$.fragment,Nt),Nt.forEach(t),Mt.forEach(t),b=f(We),tt=o(We,"SPAN",{});var Mo=a(tt);hn=r(Mo,"Text-to-Image Generation"),Mo.forEach(t),We.forEach(t),Ot=f(n),G=o(n,"H2",{class:!0});var Ht=a(G);B=o(Ht,"A",{id:!0,class:!0,href:!0});var No=a(B);nt=o(No,"SPAN",{});var Oo=a(nt);x(oe.$$.fragment,Oo),Oo.forEach(t),No.forEach(t),gn=f(Ht),it=o(Ht,"SPAN",{});var Vo=a(it);_n=r(Vo,"StableDiffusionPipeline"),Vo.forEach(t),Ht.forEach(t),Vt=f(n),k=o(n,"P",{});var F=a(k);bn=r(F,"The Stable Diffusion model was created by the researchers and engineers from "),ae=o(F,"A",{href:!0,rel:!0});var qo=a(ae);vn=r(qo,"CompVis"),qo.forEach(t),yn=r(F,", "),se=o(F,"A",{href:!0,rel:!0});var zo=a(se);xn=r(zo,"Stability AI"),zo.forEach(t),wn=r(F,", "),re=o(F,"A",{href:!0,rel:!0});var Uo=a(re);$n=r(Uo,"runway"),Uo.forEach(t),Dn=r(F,", and "),le=o(F,"A",{href:!0,rel:!0});var Go=a(le);Pn=r(Go,"LAION"),Go.forEach(t),En=r(F,". The "),Ke=o(F,"A",{href:!0});var Wo=a(Ke);Sn=r(Wo,"StableDiffusionPipeline"),Wo.forEach(t),kn=r(F," is capable of generating photo-realistic images given any text input using Stable Diffusion."),F.forEach(t),qt=f(n),Be=o(n,"P",{});var Ko=a(Be);In=r(Ko,"The original codebase can be found here:"),Ko.forEach(t),zt=f(n),H=o(n,"UL",{});var Rt=a(H);fe=o(Rt,"LI",{});var Jt=a(fe);ot=o(Jt,"EM",{});var Bo=a(ot);jn=r(Bo,"Stable Diffusion V1"),Bo.forEach(t),Cn=r(Jt,": "),de=o(Jt,"A",{href:!0,rel:!0});var Ho=a(de);Tn=r(Ho,"CompVis/stable-diffusion"),Ho.forEach(t),Jt.forEach(t),An=f(Rt),pe=o(Rt,"LI",{});var Qt=a(pe);at=o(Qt,"EM",{});var Ro=a(at);Fn=r(Ro,"Stable Diffusion v2"),Ro.forEach(t),Ln=r(Qt,": "),ce=o(Qt,"A",{href:!0,rel:!0});var Jo=a(ce);Mn=r(Jo,"Stability-AI/stablediffusion"),Jo.forEach(t),Qt.forEach(t),Rt.forEach(t),Ut=f(n),He=o(n,"P",{});var Qo=a(He);Nn=r(Qo,"Available Checkpoints are:"),Qo.forEach(t),Gt=f(n),I=o(n,"UL",{});var L=a(I);ue=o(L,"LI",{});var Xt=a(ue);st=o(Xt,"EM",{});var Xo=a(st);On=r(Xo,"stable-diffusion-v1-4 (512x512 resolution)"),Xo.forEach(t),Vn=f(Xt),me=o(Xt,"A",{href:!0,rel:!0});var Yo=a(me);qn=r(Yo,"CompVis/stable-diffusion-v1-4"),Yo.forEach(t),Xt.forEach(t),zn=f(L),he=o(L,"LI",{});var Yt=a(he);rt=o(Yt,"EM",{});var Zo=a(rt);Un=r(Zo,"stable-diffusion-v1-5 (512x512 resolution)"),Zo.forEach(t),Gn=f(Yt),ge=o(Yt,"A",{href:!0,rel:!0});var ea=a(ge);Wn=r(ea,"runwayml/stable-diffusion-v1-5"),ea.forEach(t),Yt.forEach(t),Kn=f(L),_e=o(L,"LI",{});var Zt=a(_e);lt=o(Zt,"EM",{});var ta=a(lt);Bn=r(ta,"stable-diffusion-2-base (512x512 resolution)"),ta.forEach(t),Hn=r(Zt,": "),be=o(Zt,"A",{href:!0,rel:!0});var na=a(be);Rn=r(na,"stabilityai/stable-diffusion-2-base"),na.forEach(t),Zt.forEach(t),Jn=f(L),ve=o(L,"LI",{});var en=a(ve);ft=o(en,"EM",{});var ia=a(ft);Qn=r(ia,"stable-diffusion-2 (768x768 resolution)"),ia.forEach(t),Xn=r(en,": "),ye=o(en,"A",{href:!0,rel:!0});var oa=a(ye);Yn=r(oa,"stabilityai/stable-diffusion-2"),oa.forEach(t),en.forEach(t),Zn=f(L),xe=o(L,"LI",{});var tn=a(xe);dt=o(tn,"EM",{});var aa=a(dt);ei=r(aa,"stable-diffusion-2-1-base (512x512 resolution)"),aa.forEach(t),ti=f(tn),we=o(tn,"A",{href:!0,rel:!0});var sa=a(we);ni=r(sa,"stabilityai/stable-diffusion-2-1-base"),sa.forEach(t),tn.forEach(t),ii=f(L),$e=o(L,"LI",{});var nn=a($e);pt=o(nn,"EM",{});var ra=a(pt);oi=r(ra,"stable-diffusion-2-1 (768x768 resolution)"),ra.forEach(t),ai=r(nn,": "),De=o(nn,"A",{href:!0,rel:!0});var la=a(De);si=r(la,"stabilityai/stable-diffusion-2-1"),la.forEach(t),nn.forEach(t),L.forEach(t),Wt=f(n),c=o(n,"DIV",{class:!0});var g=a(c);x(Pe.$$.fragment,g),ri=f(g),ct=o(g,"P",{});var fa=a(ct);li=r(fa,"Pipeline for text-to-image generation using Stable Diffusion."),fa.forEach(t),fi=f(g),Ee=o(g,"P",{});var on=a(Ee);di=r(on,"This model inherits from "),Re=o(on,"A",{href:!0});var da=a(Re);pi=r(da,"DiffusionPipeline"),da.forEach(t),ci=r(on,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),on.forEach(t),ui=f(g),M=o(g,"DIV",{class:!0});var Je=a(M);x(Se.$$.fragment,Je),mi=f(Je),ut=o(Je,"P",{});var pa=a(ut);hi=r(pa,"Function invoked when calling the pipeline for generation."),pa.forEach(t),gi=f(Je),x(R.$$.fragment,Je),Je.forEach(t),_i=f(g),N=o(g,"DIV",{class:!0});var Qe=a(N);x(ke.$$.fragment,Qe),bi=f(Qe),mt=o(Qe,"P",{});var ca=a(mt);vi=r(ca,"Enable sliced attention computation."),ca.forEach(t),yi=f(Qe),ht=o(Qe,"P",{});var ua=a(ht);xi=r(ua,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),ua.forEach(t),Qe.forEach(t),wi=f(g),J=o(g,"DIV",{class:!0});var an=a(J);x(Ie.$$.fragment,an),$i=f(an),je=o(an,"P",{});var sn=a(je);Di=r(sn,"Disable sliced attention computation. If "),gt=o(sn,"CODE",{});var ma=a(gt);Pi=r(ma,"enable_attention_slicing"),ma.forEach(t),Ei=r(sn,` was previously invoked, this method will go
back to computing attention in one step.`),sn.forEach(t),an.forEach(t),Si=f(g),O=o(g,"DIV",{class:!0});var Xe=a(O);x(Ce.$$.fragment,Xe),ki=f(Xe),_t=o(Xe,"P",{});var ha=a(_t);Ii=r(ha,"Enable sliced VAE decoding."),ha.forEach(t),ji=f(Xe),bt=o(Xe,"P",{});var ga=a(bt);Ci=r(ga,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),ga.forEach(t),Xe.forEach(t),Ti=f(g),Q=o(g,"DIV",{class:!0});var rn=a(Q);x(Te.$$.fragment,rn),Ai=f(rn),Ae=o(rn,"P",{});var ln=a(Ae);Fi=r(ln,"Disable sliced VAE decoding. If "),vt=o(ln,"CODE",{});var _a=a(vt);Li=r(_a,"enable_vae_slicing"),_a.forEach(t),Mi=r(ln,` was previously invoked, this method will go back to
computing decoding in one step.`),ln.forEach(t),rn.forEach(t),Ni=f(g),j=o(g,"DIV",{class:!0});var z=a(j);x(Fe.$$.fragment,z),Oi=f(z),yt=o(z,"P",{});var ba=a(yt);Vi=r(ba,"Enable memory efficient attention as implemented in xformers."),ba.forEach(t),qi=f(z),xt=o(z,"P",{});var va=a(xt);zi=r(va,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),va.forEach(t),Ui=f(z),wt=o(z,"P",{});var ya=a(wt);Gi=r(ya,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),ya.forEach(t),Wi=f(z),x(X.$$.fragment,z),z.forEach(t),Ki=f(g),Y=o(g,"DIV",{class:!0});var fn=a(Y);x(Le.$$.fragment,fn),Bi=f(fn),$t=o(fn,"P",{});var xa=a($t);Hi=r(xa,"Disable memory efficient attention as implemented in xformers."),xa.forEach(t),fn.forEach(t),Ri=f(g),V=o(g,"DIV",{class:!0});var Ye=a(V);x(Me.$$.fragment,Ye),Ji=f(Ye),Dt=o(Ye,"P",{});var wa=a(Dt);Qi=r(wa,"Enable tiled VAE decoding."),wa.forEach(t),Xi=f(Ye),Pt=o(Ye,"P",{});var $a=a(Pt);Yi=r($a,`When this option is enabled, the VAE will split the input tensor into tiles to compute decoding and encoding in
several steps. This is useful to save a large amount of memory and to allow the processing of larger images.`),$a.forEach(t),Ye.forEach(t),Zi=f(g),Z=o(g,"DIV",{class:!0});var dn=a(Z);x(Ne.$$.fragment,dn),eo=f(dn),Oe=o(dn,"P",{});var pn=a(Oe);to=r(pn,"Disable tiled VAE decoding. If "),Et=o(pn,"CODE",{});var Da=a(Et);no=r(Da,"enable_vae_tiling"),Da.forEach(t),io=r(pn,` was previously invoked, this method will go back to
computing decoding in one step.`),pn.forEach(t),dn.forEach(t),oo=f(g),ee=o(g,"DIV",{class:!0});var cn=a(ee);x(Ve.$$.fragment,cn),ao=f(cn),T=o(cn,"P",{});var U=a(T);so=r(U,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),St=o(U,"CODE",{});var Pa=a(St);ro=r(Pa,"enable_sequential_cpu_offload"),Pa.forEach(t),lo=r(U,", this method moves one whole model at a time to the GPU when its "),kt=o(U,"CODE",{});var Ea=a(kt);fo=r(Ea,"forward"),Ea.forEach(t),po=r(U,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),It=o(U,"CODE",{});var Sa=a(It);co=r(Sa,"enable_sequential_cpu_offload"),Sa.forEach(t),uo=r(U,", but performance is much better due to the iterative execution of the "),jt=o(U,"CODE",{});var ka=a(jt);mo=r(ka,"unet"),ka.forEach(t),ho=r(U,"."),U.forEach(t),cn.forEach(t),go=f(g),te=o(g,"DIV",{class:!0});var un=a(te);x(qe.$$.fragment,un),_o=f(un),W=o(un,"P",{});var Ze=a(W);bo=r(Ze,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),Ct=o(Ze,"CODE",{});var Ia=a(Ct);vo=r(Ia,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ia.forEach(t),yo=r(Ze,"forward"),Tt=o(Ze,"CODE",{});var ja=a(Tt);xo=r(ja,"method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),ja.forEach(t),wo=r(Ze,"enable_model_cpu_offload`, but performance is lower."),Ze.forEach(t),un.forEach(t),g.forEach(t),Kt=f(n),A=o(n,"DIV",{class:!0});var ie=a(A);x(ze.$$.fragment,ie),$o=f(ie),At=o(ie,"P",{});var Ca=a(At);Do=r(Ca,"Pipeline for text-to-image generation using Stable Diffusion."),Ca.forEach(t),Po=f(ie),Ue=o(ie,"P",{});var mn=a(Ue);Eo=r(mn,"This model inherits from "),Ft=o(mn,"CODE",{});var Ta=a(Ft);So=r(Ta,"FlaxDiffusionPipeline"),Ta.forEach(t),ko=r(mn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),mn.forEach(t),Io=f(ie),q=o(ie,"DIV",{class:!0});var et=a(q);x(Ge.$$.fragment,et),jo=f(et),Lt=o(et,"P",{});var Aa=a(Lt);Co=r(Aa,"Function invoked when calling the pipeline for generation."),Aa.forEach(t),To=f(et),x(ne.$$.fragment,et),et.forEach(t),ie.forEach(t),this.h()},h(){p(m,"name","hf:doc:metadata"),p(m,"content",JSON.stringify(Wa)),p(u,"id","texttoimage-generation"),p(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(u,"href","#texttoimage-generation"),p(_,"class","relative group"),p(B,"id","diffusers.StableDiffusionPipeline"),p(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(B,"href","#diffusers.StableDiffusionPipeline"),p(G,"class","relative group"),p(ae,"href","https://github.com/CompVis"),p(ae,"rel","nofollow"),p(se,"href","https://stability.ai/"),p(se,"rel","nofollow"),p(re,"href","https://github.com/runwayml"),p(re,"rel","nofollow"),p(le,"href","https://laion.ai/"),p(le,"rel","nofollow"),p(Ke,"href","/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),p(de,"href","https://github.com/CompVis/stable-diffusion"),p(de,"rel","nofollow"),p(ce,"href","https://github.com/Stability-AI/stablediffusion"),p(ce,"rel","nofollow"),p(me,"href","https://huggingface.co/CompVis/stable-diffusion-v1-4"),p(me,"rel","nofollow"),p(ge,"href","https://huggingface.co/runwayml/stable-diffusion-v1-5"),p(ge,"rel","nofollow"),p(be,"href","https://huggingface.co/stabilityai/stable-diffusion-2-base"),p(be,"rel","nofollow"),p(ye,"href","https://huggingface.co/stabilityai/stable-diffusion-2"),p(ye,"rel","nofollow"),p(we,"href","https://huggingface.co/stabilityai/stable-diffusion-2-1-base"),p(we,"rel","nofollow"),p(De,"href","https://huggingface.co/stabilityai/stable-diffusion-2-1"),p(De,"rel","nofollow"),p(Re,"href","/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),p(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,h){e(document.head,m),v(n,S,h),v(n,_,h),e(_,u),e(u,E),w(d,E,null),e(_,b),e(_,tt),e(tt,hn),v(n,Ot,h),v(n,G,h),e(G,B),e(B,nt),w(oe,nt,null),e(G,gn),e(G,it),e(it,_n),v(n,Vt,h),v(n,k,h),e(k,bn),e(k,ae),e(ae,vn),e(k,yn),e(k,se),e(se,xn),e(k,wn),e(k,re),e(re,$n),e(k,Dn),e(k,le),e(le,Pn),e(k,En),e(k,Ke),e(Ke,Sn),e(k,kn),v(n,qt,h),v(n,Be,h),e(Be,In),v(n,zt,h),v(n,H,h),e(H,fe),e(fe,ot),e(ot,jn),e(fe,Cn),e(fe,de),e(de,Tn),e(H,An),e(H,pe),e(pe,at),e(at,Fn),e(pe,Ln),e(pe,ce),e(ce,Mn),v(n,Ut,h),v(n,He,h),e(He,Nn),v(n,Gt,h),v(n,I,h),e(I,ue),e(ue,st),e(st,On),e(ue,Vn),e(ue,me),e(me,qn),e(I,zn),e(I,he),e(he,rt),e(rt,Un),e(he,Gn),e(he,ge),e(ge,Wn),e(I,Kn),e(I,_e),e(_e,lt),e(lt,Bn),e(_e,Hn),e(_e,be),e(be,Rn),e(I,Jn),e(I,ve),e(ve,ft),e(ft,Qn),e(ve,Xn),e(ve,ye),e(ye,Yn),e(I,Zn),e(I,xe),e(xe,dt),e(dt,ei),e(xe,ti),e(xe,we),e(we,ni),e(I,ii),e(I,$e),e($e,pt),e(pt,oi),e($e,ai),e($e,De),e(De,si),v(n,Wt,h),v(n,c,h),w(Pe,c,null),e(c,ri),e(c,ct),e(ct,li),e(c,fi),e(c,Ee),e(Ee,di),e(Ee,Re),e(Re,pi),e(Ee,ci),e(c,ui),e(c,M),w(Se,M,null),e(M,mi),e(M,ut),e(ut,hi),e(M,gi),w(R,M,null),e(c,_i),e(c,N),w(ke,N,null),e(N,bi),e(N,mt),e(mt,vi),e(N,yi),e(N,ht),e(ht,xi),e(c,wi),e(c,J),w(Ie,J,null),e(J,$i),e(J,je),e(je,Di),e(je,gt),e(gt,Pi),e(je,Ei),e(c,Si),e(c,O),w(Ce,O,null),e(O,ki),e(O,_t),e(_t,Ii),e(O,ji),e(O,bt),e(bt,Ci),e(c,Ti),e(c,Q),w(Te,Q,null),e(Q,Ai),e(Q,Ae),e(Ae,Fi),e(Ae,vt),e(vt,Li),e(Ae,Mi),e(c,Ni),e(c,j),w(Fe,j,null),e(j,Oi),e(j,yt),e(yt,Vi),e(j,qi),e(j,xt),e(xt,zi),e(j,Ui),e(j,wt),e(wt,Gi),e(j,Wi),w(X,j,null),e(c,Ki),e(c,Y),w(Le,Y,null),e(Y,Bi),e(Y,$t),e($t,Hi),e(c,Ri),e(c,V),w(Me,V,null),e(V,Ji),e(V,Dt),e(Dt,Qi),e(V,Xi),e(V,Pt),e(Pt,Yi),e(c,Zi),e(c,Z),w(Ne,Z,null),e(Z,eo),e(Z,Oe),e(Oe,to),e(Oe,Et),e(Et,no),e(Oe,io),e(c,oo),e(c,ee),w(Ve,ee,null),e(ee,ao),e(ee,T),e(T,so),e(T,St),e(St,ro),e(T,lo),e(T,kt),e(kt,fo),e(T,po),e(T,It),e(It,co),e(T,uo),e(T,jt),e(jt,mo),e(T,ho),e(c,go),e(c,te),w(qe,te,null),e(te,_o),e(te,W),e(W,bo),e(W,Ct),e(Ct,vo),e(W,yo),e(W,Tt),e(Tt,xo),e(W,wo),v(n,Kt,h),v(n,A,h),w(ze,A,null),e(A,$o),e(A,At),e(At,Do),e(A,Po),e(A,Ue),e(Ue,Eo),e(Ue,Ft),e(Ft,So),e(Ue,ko),e(A,Io),e(A,q),w(Ge,q,null),e(q,jo),e(q,Lt),e(Lt,Co),e(q,To),w(ne,q,null),Bt=!0},p(n,[h]){const We={};h&2&&(We.$$scope={dirty:h,ctx:n}),R.$set(We);const Mt={};h&2&&(Mt.$$scope={dirty:h,ctx:n}),X.$set(Mt);const Nt={};h&2&&(Nt.$$scope={dirty:h,ctx:n}),ne.$set(Nt)},i(n){Bt||($(d.$$.fragment,n),$(oe.$$.fragment,n),$(Pe.$$.fragment,n),$(Se.$$.fragment,n),$(R.$$.fragment,n),$(ke.$$.fragment,n),$(Ie.$$.fragment,n),$(Ce.$$.fragment,n),$(Te.$$.fragment,n),$(Fe.$$.fragment,n),$(X.$$.fragment,n),$(Le.$$.fragment,n),$(Me.$$.fragment,n),$(Ne.$$.fragment,n),$(Ve.$$.fragment,n),$(qe.$$.fragment,n),$(ze.$$.fragment,n),$(Ge.$$.fragment,n),$(ne.$$.fragment,n),Bt=!0)},o(n){D(d.$$.fragment,n),D(oe.$$.fragment,n),D(Pe.$$.fragment,n),D(Se.$$.fragment,n),D(R.$$.fragment,n),D(ke.$$.fragment,n),D(Ie.$$.fragment,n),D(Ce.$$.fragment,n),D(Te.$$.fragment,n),D(Fe.$$.fragment,n),D(X.$$.fragment,n),D(Le.$$.fragment,n),D(Me.$$.fragment,n),D(Ne.$$.fragment,n),D(Ve.$$.fragment,n),D(qe.$$.fragment,n),D(ze.$$.fragment,n),D(Ge.$$.fragment,n),D(ne.$$.fragment,n),Bt=!1},d(n){t(m),n&&t(S),n&&t(_),P(d),n&&t(Ot),n&&t(G),P(oe),n&&t(Vt),n&&t(k),n&&t(qt),n&&t(Be),n&&t(zt),n&&t(H),n&&t(Ut),n&&t(He),n&&t(Gt),n&&t(I),n&&t(Wt),n&&t(c),P(Pe),P(Se),P(R),P(ke),P(Ie),P(Ce),P(Te),P(Fe),P(X),P(Le),P(Me),P(Ne),P(Ve),P(qe),n&&t(Kt),n&&t(A),P(ze),P(Ge),P(ne)}}}const Wa={local:"texttoimage-generation",sections:[{local:"diffusers.StableDiffusionPipeline",title:"StableDiffusionPipeline"}],title:"Text-to-Image Generation"};function Ka(K){return Va(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xa extends La{constructor(m){super();Ma(this,m,Ka,Ga,Na,{})}}export{Xa as default,Wa as metadata};
