import{S as md,i as fd,s as gd,e as o,k as l,w as u,t as s,M as ud,c as i,d as n,m as d,a,x as h,h as r,b as c,G as e,g as f,y as _,q as b,o as v,B as P,v as hd,L as ii}from"../../../chunks/vendor-hf-doc-builder.js";import{D as k}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as zt}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as $t}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as oi}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function _d(G){let I,S,C,g,E;return g=new zt({props:{code:`import torch
from diffusers import StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
images = pipe(prompt).images
images[0].save("astronaut_horse.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;astronaut_horse.png&quot;</span>)`}}),{c(){I=o("p"),S=s("Examples:"),C=l(),u(g.$$.fragment)},l(p){I=i(p,"P",{});var y=a(I);S=r(y,"Examples:"),y.forEach(n),C=d(p),h(g.$$.fragment,p)},m(p,y){f(p,I,y),e(I,S),f(p,C,y),_(g,p,y),E=!0},p:ii,i(p){E||(b(g.$$.fragment,p),E=!0)},o(p){v(g.$$.fragment,p),E=!1},d(p){p&&n(I),p&&n(C),P(g,p)}}}function bd(G){let I,S,C,g,E;return g=new zt({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){I=o("p"),S=s("Examples:"),C=l(),u(g.$$.fragment)},l(p){I=i(p,"P",{});var y=a(I);S=r(y,"Examples:"),y.forEach(n),C=d(p),h(g.$$.fragment,p)},m(p,y){f(p,I,y),e(I,S),f(p,C,y),_(g,p,y),E=!0},p:ii,i(p){E||(b(g.$$.fragment,p),E=!0)},o(p){v(g.$$.fragment,p),E=!1},d(p){p&&n(I),p&&n(C),P(g,p)}}}function vd(G){let I,S,C,g,E;return g=new zt({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l-img2img", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l-img2img&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt, init_image).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),{c(){I=o("p"),S=s("Examples:"),C=l(),u(g.$$.fragment)},l(p){I=i(p,"P",{});var y=a(I);S=r(y,"Examples:"),y.forEach(n),C=d(p),h(g.$$.fragment,p)},m(p,y){f(p,I,y),e(I,S),f(p,C,y),_(g,p,y),E=!0},p:ii,i(p){E||(b(g.$$.fragment,p),E=!0)},o(p){v(g.$$.fragment,p),E=!1},d(p){p&&n(I),p&&n(C),P(g,p)}}}function Pd(G){let I,S,C,g,E;return g=new zt({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){I=o("p"),S=s("Examples:"),C=l(),u(g.$$.fragment)},l(p){I=i(p,"P",{});var y=a(I);S=r(y,"Examples:"),y.forEach(n),C=d(p),h(g.$$.fragment,p)},m(p,y){f(p,I,y),e(I,S),f(p,C,y),_(g,p,y),E=!0},p:ii,i(p){E||(b(g.$$.fragment,p),E=!0)},o(p){v(g.$$.fragment,p),E=!1},d(p){p&&n(I),p&&n(C),P(g,p)}}}function Id(G){let I,S,C,g,E,p,y,Gt,ai,so,se,si,wt,ri,li,ro,Ct,di,lo,ke,Se,pi,ci,po,Y,re,Mt,Ue,mi,Ft,fi,co,D,gi,Vt,ui,hi,Wt,_i,bi,Bt,vi,Pi,Kt,Ii,yi,mo,Z,le,Ht,Te,$i,Rt,wi,fo,de,xt,Ci,De,Jt,Ae,xi,Li,Qt,je,Ei,ki,Lt,Si,Xt,Yt,Ui,go,ee,pe,Zt,Oe,Ti,en,Di,uo,Et,Ai,ho,te,ce,tn,qe,ji,nn,Oi,_o,Ne,bo,me,qi,on,Ni,zi,vo,ze,Po,ne,fe,an,Ge,Gi,sn,Mi,Io,$,Me,Fi,rn,Vi,Wi,Fe,Bi,kt,Ki,Hi,Ri,M,Ve,Ji,ln,Qi,Xi,ge,Yi,F,We,Zi,dn,ea,ta,pn,na,oa,ue,Be,ia,Ke,aa,cn,sa,ra,la,V,He,da,mn,pa,ca,fn,ma,fa,he,Re,ga,Je,ua,gn,ha,_a,ba,A,Qe,va,un,Pa,Ia,hn,ya,$a,_n,wa,Ca,_e,xa,be,Xe,La,bn,Ea,ka,ve,Ye,Sa,O,Ua,vn,Ta,Da,Pn,Aa,ja,In,Oa,qa,yn,Na,za,Ga,Pe,Ze,Ma,et,Fa,$n,Va,Wa,Ba,U,tt,Ka,oe,Ha,wn,Ra,Ja,Cn,Qa,Xa,Ya,xn,Za,es,nt,Ln,ts,ns,En,os,is,ot,as,kn,ss,rs,ls,Sn,ds,yo,ie,Ie,Un,it,ps,Tn,cs,$o,w,at,ms,Dn,fs,gs,st,us,St,hs,_s,bs,W,rt,vs,An,Ps,Is,ye,ys,B,lt,$s,jn,ws,Cs,On,xs,Ls,$e,dt,Es,pt,ks,qn,Ss,Us,Ts,K,ct,Ds,Nn,As,js,zn,Os,qs,we,mt,Ns,ft,zs,Gn,Gs,Ms,Fs,j,gt,Vs,Mn,Ws,Bs,Fn,Ks,Hs,Vn,Rs,Js,Ce,Qs,xe,ut,Xs,Wn,Ys,Zs,Le,ht,er,q,tr,Bn,nr,or,Kn,ir,ar,Hn,sr,rr,Rn,lr,dr,pr,Ee,_t,cr,bt,mr,Jn,fr,gr,ur,T,vt,hr,ae,_r,Qn,br,vr,Xn,Pr,Ir,yr,Yn,$r,wr,Pt,Zn,Cr,xr,eo,Lr,Er,It,kr,to,Sr,Ur,Tr,no,Dr,wo;return p=new $t({}),Ue=new $t({}),Te=new $t({}),Oe=new $t({}),qe=new $t({}),Ne=new zt({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-1-unclip", torch_dtype=torch.float16, variation="fp16"
)
pipe = pipe.to("cuda")

url = "https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")

images = pipe(init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1-unclip&quot;</span>, torch_dtype=torch.float16, variation=<span class="hljs-string">&quot;fp16&quot;</span>
)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

url = <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png&quot;</span>

response = requests.get(url)
init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)

images = pipe(init_image).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),ze=new zt({props:{code:`prompt = "A fantasy landscape, trending on artstation"

images = pipe(init_image, prompt=prompt).images
images[0].save("fantasy_landscape.png")`,highlighted:`prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

images = pipe(init_image, prompt=prompt).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),Ge=new $t({}),Me=new k({props:{name:"class diffusers.StableUnCLIPPipeline",anchor:"diffusers.StableUnCLIPPipeline",parameters:[{name:"prior_tokenizer",val:": CLIPTokenizer"},{name:"prior_text_encoder",val:": CLIPTextModelWithProjection"},{name:"prior",val:": PriorTransformer"},{name:"prior_scheduler",val:": KarrasDiffusionSchedulers"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.prior_tokenizer",description:`<strong>prior_tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"prior_tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.prior_text_encoder",description:`<strong>prior_text_encoder</strong> (<code>CLIPTextModelWithProjection</code>) &#x2014;
Frozen text-encoder.`,name:"prior_text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.prior",description:`<strong>prior</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.PriorTransformer">PriorTransformer</a>) &#x2014;
The canonincal unCLIP prior to approximate the image embedding from the text embedding.`,name:"prior"},{anchor:"diffusers.StableUnCLIPPipeline.prior_scheduler",description:`<strong>prior_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Scheduler used in the prior denoising process.`,name:"prior_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L50"}}),Ve=new k({props:{name:"__call__",anchor:"diffusers.StableUnCLIPPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10.0"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"prior_num_inference_steps",val:": int = 25"},{name:"prior_guidance_scale",val:": float = 4.0"},{name:"prior_latents",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2796/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_num_inference_steps",description:`<strong>prior_num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 25) &#x2014;
The number of denoising steps in the prior denoising process. More denoising steps usually lead to a
higher quality image at the expense of slower inference.`,name:"prior_num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_guidance_scale",description:`<strong>prior_guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
Guidance scale for the prior denoising process as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion
Guidance</a>. <code>prior_guidance_scale</code> is defined as <code>w</code> of equation 2. of
<a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen Paper</a>. Guidance scale is enabled by setting
<code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to
the text <code>prompt</code>, usually at the expense of lower image quality.`,name:"prior_guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_latents",description:`<strong>prior_latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
embedding generation in the prior denoising process. Can be used to tweak the same generation with
different prompts. If not provided, a latents tensor will ge generated by sampling using the supplied
random <code>generator</code>.`,name:"prior_latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L629",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),ge=new oi({props:{anchor:"diffusers.StableUnCLIPPipeline.__call__.example",$$slots:{default:[_d]},$$scope:{ctx:G}}}),We=new k({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1349"}}),Be=new k({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1365"}}),He=new k({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L140"}}),Re=new k({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L150"}}),Qe=new k({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1292"}}),_e=new oi({props:{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[bd]},$$scope:{ctx:G}}}),Xe=new k({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1324"}}),Ye=new k({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L181"}}),Ze=new k({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L157"}}),tt=new k({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L583"}}),it=new $t({}),at=new k({props:{name:"class diffusers.StableUnCLIPImg2ImgPipeline",anchor:"diffusers.StableUnCLIPImg2ImgPipeline",parameters:[{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModel"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Feature extractor for image pre-processing before being encoded.`,name:"feature_extractor"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_encoder",description:`<strong>image_encoder</strong> (<code>CLIPVisionModelWithProjection</code>) &#x2014;
CLIP vision model for encoding images.`,name:"image_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2796/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L63"}}),rt=new k({props:{name:"__call__",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"image_embeds",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, either <code>prompt_embeds</code> will be
used or prompt is initialized to <code>&quot;&quot;</code>.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code> or <code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch. The image will be encoded to its CLIP embedding which
the unet will be conditioned on. Note that the image is <em>not</em> encoded by the vae and then used as the
latents in the denoising process such as in the standard stable diffusion text guided image variation
process.`,name:"image"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2796/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2796/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image_embeds",description:`<strong>image_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated CLIP embeddings to condition the unet on. Note that these are not latents to be used in
the denoising process. If you want to provide pre-generated latents, pass them to <code>__call__</code> as
<code>latents</code>.`,name:"image_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L596",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),ye=new oi({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.example",$$slots:{default:[vd]},$$scope:{ctx:G}}}),lt=new k({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1349"}}),dt=new k({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1365"}}),ct=new k({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L142"}}),mt=new k({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L152"}}),gt=new k({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1292"}}),Ce=new oi({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Pd]},$$scope:{ctx:G}}}),ut=new k({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/pipeline_utils.py#L1324"}}),ht=new k({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L183"}}),_t=new k({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L159"}}),vt=new k({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2796/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L550"}}),{c(){I=o("meta"),S=l(),C=o("h1"),g=o("a"),E=o("span"),u(p.$$.fragment),y=l(),Gt=o("span"),ai=s("Stable unCLIP"),so=l(),se=o("p"),si=s("Stable unCLIP checkpoints are finetuned from "),wt=o("a"),ri=s("stable diffusion 2.1"),li=s(` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),ro=l(),Ct=o("p"),di=s("To know more about the unCLIP process, check out the following paper:"),lo=l(),ke=o("p"),Se=o("a"),pi=s("Hierarchical Text-Conditional Image Generation with CLIP Latents"),ci=s(" by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),po=l(),Y=o("h2"),re=o("a"),Mt=o("span"),u(Ue.$$.fragment),mi=l(),Ft=o("span"),fi=s("Tips"),co=l(),D=o("p"),gi=s("Stable unCLIP takes a "),Vt=o("code"),ui=s("noise_level"),hi=s(" as input during inference. "),Wt=o("code"),_i=s("noise_level"),bi=s(` determines how much noise is added
to the image embeddings. A higher `),Bt=o("code"),vi=s("noise_level"),Pi=s(` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Kt=o("code"),Ii=s("noise_level = 0"),yi=s("."),mo=l(),Z=o("h3"),le=o("a"),Ht=o("span"),u(Te.$$.fragment),$i=l(),Rt=o("span"),wi=s("Available checkpoints:"),fo=l(),de=o("ul"),xt=o("li"),Ci=s("Image variation"),De=o("ul"),Jt=o("li"),Ae=o("a"),xi=s("stabilityai/stable-diffusion-2-1-unclip"),Li=l(),Qt=o("li"),je=o("a"),Ei=s("stabilityai/stable-diffusion-2-1-unclip-small"),ki=l(),Lt=o("li"),Si=s("Text-to-image "),Xt=o("ul"),Yt=o("li"),Ui=s("Coming soon!"),go=l(),ee=o("h3"),pe=o("a"),Zt=o("span"),u(Oe.$$.fragment),Ti=l(),en=o("span"),Di=s("Text-to-Image Generation"),uo=l(),Et=o("p"),Ai=s("Coming soon!"),ho=l(),te=o("h3"),ce=o("a"),tn=o("span"),u(qe.$$.fragment),ji=l(),nn=o("span"),Oi=s("Text guided Image-to-Image Variation"),_o=l(),u(Ne.$$.fragment),bo=l(),me=o("p"),qi=s("Optionally, you can also pass a prompt to "),on=o("code"),Ni=s("pipe"),zi=s(" such as:"),vo=l(),u(ze.$$.fragment),Po=l(),ne=o("h3"),fe=o("a"),an=o("span"),u(Ge.$$.fragment),Gi=l(),sn=o("span"),Mi=s("StableUnCLIPPipeline"),Io=l(),$=o("div"),u(Me.$$.fragment),Fi=l(),rn=o("p"),Vi=s("Pipeline for text-to-image generation using stable unCLIP."),Wi=l(),Fe=o("p"),Bi=s("This model inherits from "),kt=o("a"),Ki=s("DiffusionPipeline"),Hi=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Ri=l(),M=o("div"),u(Ve.$$.fragment),Ji=l(),ln=o("p"),Qi=s("Function invoked when calling the pipeline for generation."),Xi=l(),u(ge.$$.fragment),Yi=l(),F=o("div"),u(We.$$.fragment),Zi=l(),dn=o("p"),ea=s("Enable sliced attention computation."),ta=l(),pn=o("p"),na=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),oa=l(),ue=o("div"),u(Be.$$.fragment),ia=l(),Ke=o("p"),aa=s("Disable sliced attention computation. If "),cn=o("code"),sa=s("enable_attention_slicing"),ra=s(` was previously invoked, this method will go
back to computing attention in one step.`),la=l(),V=o("div"),u(He.$$.fragment),da=l(),mn=o("p"),pa=s("Enable sliced VAE decoding."),ca=l(),fn=o("p"),ma=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),fa=l(),he=o("div"),u(Re.$$.fragment),ga=l(),Je=o("p"),ua=s("Disable sliced VAE decoding. If "),gn=o("code"),ha=s("enable_vae_slicing"),_a=s(` was previously invoked, this method will go back to
computing decoding in one step.`),ba=l(),A=o("div"),u(Qe.$$.fragment),va=l(),un=o("p"),Pa=s("Enable memory efficient attention as implemented in xformers."),Ia=l(),hn=o("p"),ya=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),$a=l(),_n=o("p"),wa=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Ca=l(),u(_e.$$.fragment),xa=l(),be=o("div"),u(Xe.$$.fragment),La=l(),bn=o("p"),Ea=s("Disable memory efficient attention as implemented in xformers."),ka=l(),ve=o("div"),u(Ye.$$.fragment),Sa=l(),O=o("p"),Ua=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),vn=o("code"),Ta=s("enable_sequential_cpu_offload"),Da=s(", this method moves one whole model at a time to the GPU when its "),Pn=o("code"),Aa=s("forward"),ja=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),In=o("code"),Oa=s("enable_sequential_cpu_offload"),qa=s(", but performance is much better due to the iterative execution of the "),yn=o("code"),Na=s("unet"),za=s("."),Ga=l(),Pe=o("div"),u(Ze.$$.fragment),Ma=l(),et=o("p"),Fa=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),$n=o("code"),Va=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Wa=s("forward` method called."),Ba=l(),U=o("div"),u(tt.$$.fragment),Ka=l(),oe=o("p"),Ha=s("Add noise to the image embeddings. The amount of noise is controlled by a "),wn=o("code"),Ra=s("noise_level"),Ja=s(` input. A higher
`),Cn=o("code"),Qa=s("noise_level"),Xa=s(" increases the variance in the final un-noised images."),Ya=l(),xn=o("p"),Za=s("The noise is applied in two ways"),es=l(),nt=o("ol"),Ln=o("li"),ts=s("A noise schedule is applied directly to the embeddings"),ns=l(),En=o("li"),os=s("A vector of sinusoidal time embeddings are appended to the output."),is=l(),ot=o("p"),as=s("In both cases, the amount of noise is controlled by the same "),kn=o("code"),ss=s("noise_level"),rs=s("."),ls=l(),Sn=o("p"),ds=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),yo=l(),ie=o("h3"),Ie=o("a"),Un=o("span"),u(it.$$.fragment),ps=l(),Tn=o("span"),cs=s("StableUnCLIPImg2ImgPipeline"),$o=l(),w=o("div"),u(at.$$.fragment),ms=l(),Dn=o("p"),fs=s("Pipeline for text-guided image to image generation using stable unCLIP."),gs=l(),st=o("p"),us=s("This model inherits from "),St=o("a"),hs=s("DiffusionPipeline"),_s=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),bs=l(),W=o("div"),u(rt.$$.fragment),vs=l(),An=o("p"),Ps=s("Function invoked when calling the pipeline for generation."),Is=l(),u(ye.$$.fragment),ys=l(),B=o("div"),u(lt.$$.fragment),$s=l(),jn=o("p"),ws=s("Enable sliced attention computation."),Cs=l(),On=o("p"),xs=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Ls=l(),$e=o("div"),u(dt.$$.fragment),Es=l(),pt=o("p"),ks=s("Disable sliced attention computation. If "),qn=o("code"),Ss=s("enable_attention_slicing"),Us=s(` was previously invoked, this method will go
back to computing attention in one step.`),Ts=l(),K=o("div"),u(ct.$$.fragment),Ds=l(),Nn=o("p"),As=s("Enable sliced VAE decoding."),js=l(),zn=o("p"),Os=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),qs=l(),we=o("div"),u(mt.$$.fragment),Ns=l(),ft=o("p"),zs=s("Disable sliced VAE decoding. If "),Gn=o("code"),Gs=s("enable_vae_slicing"),Ms=s(` was previously invoked, this method will go back to
computing decoding in one step.`),Fs=l(),j=o("div"),u(gt.$$.fragment),Vs=l(),Mn=o("p"),Ws=s("Enable memory efficient attention as implemented in xformers."),Bs=l(),Fn=o("p"),Ks=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Hs=l(),Vn=o("p"),Rs=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Js=l(),u(Ce.$$.fragment),Qs=l(),xe=o("div"),u(ut.$$.fragment),Xs=l(),Wn=o("p"),Ys=s("Disable memory efficient attention as implemented in xformers."),Zs=l(),Le=o("div"),u(ht.$$.fragment),er=l(),q=o("p"),tr=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Bn=o("code"),nr=s("enable_sequential_cpu_offload"),or=s(", this method moves one whole model at a time to the GPU when its "),Kn=o("code"),ir=s("forward"),ar=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Hn=o("code"),sr=s("enable_sequential_cpu_offload"),rr=s(", but performance is much better due to the iterative execution of the "),Rn=o("code"),lr=s("unet"),dr=s("."),pr=l(),Ee=o("div"),u(_t.$$.fragment),cr=l(),bt=o("p"),mr=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Jn=o("code"),fr=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),gr=s("forward` method called."),ur=l(),T=o("div"),u(vt.$$.fragment),hr=l(),ae=o("p"),_r=s("Add noise to the image embeddings. The amount of noise is controlled by a "),Qn=o("code"),br=s("noise_level"),vr=s(` input. A higher
`),Xn=o("code"),Pr=s("noise_level"),Ir=s(" increases the variance in the final un-noised images."),yr=l(),Yn=o("p"),$r=s("The noise is applied in two ways"),wr=l(),Pt=o("ol"),Zn=o("li"),Cr=s("A noise schedule is applied directly to the embeddings"),xr=l(),eo=o("li"),Lr=s("A vector of sinusoidal time embeddings are appended to the output."),Er=l(),It=o("p"),kr=s("In both cases, the amount of noise is controlled by the same "),to=o("code"),Sr=s("noise_level"),Ur=s("."),Tr=l(),no=o("p"),Dr=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),this.h()},l(t){const m=ud('[data-svelte="svelte-1phssyn"]',document.head);I=i(m,"META",{name:!0,content:!0}),m.forEach(n),S=d(t),C=i(t,"H1",{class:!0});var yt=a(C);g=i(yt,"A",{id:!0,class:!0,href:!0});var oo=a(g);E=i(oo,"SPAN",{});var io=a(E);h(p.$$.fragment,io),io.forEach(n),oo.forEach(n),y=d(yt),Gt=i(yt,"SPAN",{});var ao=a(Gt);ai=r(ao,"Stable unCLIP"),ao.forEach(n),yt.forEach(n),so=d(t),se=i(t,"P",{});var Co=a(se);si=r(Co,"Stable unCLIP checkpoints are finetuned from "),wt=i(Co,"A",{href:!0});var qr=a(wt);ri=r(qr,"stable diffusion 2.1"),qr.forEach(n),li=r(Co,` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),Co.forEach(n),ro=d(t),Ct=i(t,"P",{});var Nr=a(Ct);di=r(Nr,"To know more about the unCLIP process, check out the following paper:"),Nr.forEach(n),lo=d(t),ke=i(t,"P",{});var Ar=a(ke);Se=i(Ar,"A",{href:!0,rel:!0});var zr=a(Se);pi=r(zr,"Hierarchical Text-Conditional Image Generation with CLIP Latents"),zr.forEach(n),ci=r(Ar," by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),Ar.forEach(n),po=d(t),Y=i(t,"H2",{class:!0});var xo=a(Y);re=i(xo,"A",{id:!0,class:!0,href:!0});var Gr=a(re);Mt=i(Gr,"SPAN",{});var Mr=a(Mt);h(Ue.$$.fragment,Mr),Mr.forEach(n),Gr.forEach(n),mi=d(xo),Ft=i(xo,"SPAN",{});var Fr=a(Ft);fi=r(Fr,"Tips"),Fr.forEach(n),xo.forEach(n),co=d(t),D=i(t,"P",{});var H=a(D);gi=r(H,"Stable unCLIP takes a "),Vt=i(H,"CODE",{});var Vr=a(Vt);ui=r(Vr,"noise_level"),Vr.forEach(n),hi=r(H," as input during inference. "),Wt=i(H,"CODE",{});var Wr=a(Wt);_i=r(Wr,"noise_level"),Wr.forEach(n),bi=r(H,` determines how much noise is added
to the image embeddings. A higher `),Bt=i(H,"CODE",{});var Br=a(Bt);vi=r(Br,"noise_level"),Br.forEach(n),Pi=r(H,` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Kt=i(H,"CODE",{});var Kr=a(Kt);Ii=r(Kr,"noise_level = 0"),Kr.forEach(n),yi=r(H,"."),H.forEach(n),mo=d(t),Z=i(t,"H3",{class:!0});var Lo=a(Z);le=i(Lo,"A",{id:!0,class:!0,href:!0});var Hr=a(le);Ht=i(Hr,"SPAN",{});var Rr=a(Ht);h(Te.$$.fragment,Rr),Rr.forEach(n),Hr.forEach(n),$i=d(Lo),Rt=i(Lo,"SPAN",{});var Jr=a(Rt);wi=r(Jr,"Available checkpoints:"),Jr.forEach(n),Lo.forEach(n),fo=d(t),de=i(t,"UL",{});var Eo=a(de);xt=i(Eo,"LI",{});var jr=a(xt);Ci=r(jr,"Image variation"),De=i(jr,"UL",{});var ko=a(De);Jt=i(ko,"LI",{});var Qr=a(Jt);Ae=i(Qr,"A",{href:!0,rel:!0});var Xr=a(Ae);xi=r(Xr,"stabilityai/stable-diffusion-2-1-unclip"),Xr.forEach(n),Qr.forEach(n),Li=d(ko),Qt=i(ko,"LI",{});var Yr=a(Qt);je=i(Yr,"A",{href:!0,rel:!0});var Zr=a(je);Ei=r(Zr,"stabilityai/stable-diffusion-2-1-unclip-small"),Zr.forEach(n),Yr.forEach(n),ko.forEach(n),jr.forEach(n),ki=d(Eo),Lt=i(Eo,"LI",{});var Or=a(Lt);Si=r(Or,"Text-to-image "),Xt=i(Or,"UL",{});var el=a(Xt);Yt=i(el,"LI",{});var tl=a(Yt);Ui=r(tl,"Coming soon!"),tl.forEach(n),el.forEach(n),Or.forEach(n),Eo.forEach(n),go=d(t),ee=i(t,"H3",{class:!0});var So=a(ee);pe=i(So,"A",{id:!0,class:!0,href:!0});var nl=a(pe);Zt=i(nl,"SPAN",{});var ol=a(Zt);h(Oe.$$.fragment,ol),ol.forEach(n),nl.forEach(n),Ti=d(So),en=i(So,"SPAN",{});var il=a(en);Di=r(il,"Text-to-Image Generation"),il.forEach(n),So.forEach(n),uo=d(t),Et=i(t,"P",{});var al=a(Et);Ai=r(al,"Coming soon!"),al.forEach(n),ho=d(t),te=i(t,"H3",{class:!0});var Uo=a(te);ce=i(Uo,"A",{id:!0,class:!0,href:!0});var sl=a(ce);tn=i(sl,"SPAN",{});var rl=a(tn);h(qe.$$.fragment,rl),rl.forEach(n),sl.forEach(n),ji=d(Uo),nn=i(Uo,"SPAN",{});var ll=a(nn);Oi=r(ll,"Text guided Image-to-Image Variation"),ll.forEach(n),Uo.forEach(n),_o=d(t),h(Ne.$$.fragment,t),bo=d(t),me=i(t,"P",{});var To=a(me);qi=r(To,"Optionally, you can also pass a prompt to "),on=i(To,"CODE",{});var dl=a(on);Ni=r(dl,"pipe"),dl.forEach(n),zi=r(To," such as:"),To.forEach(n),vo=d(t),h(ze.$$.fragment,t),Po=d(t),ne=i(t,"H3",{class:!0});var Do=a(ne);fe=i(Do,"A",{id:!0,class:!0,href:!0});var pl=a(fe);an=i(pl,"SPAN",{});var cl=a(an);h(Ge.$$.fragment,cl),cl.forEach(n),pl.forEach(n),Gi=d(Do),sn=i(Do,"SPAN",{});var ml=a(sn);Mi=r(ml,"StableUnCLIPPipeline"),ml.forEach(n),Do.forEach(n),Io=d(t),$=i(t,"DIV",{class:!0});var x=a($);h(Me.$$.fragment,x),Fi=d(x),rn=i(x,"P",{});var fl=a(rn);Vi=r(fl,"Pipeline for text-to-image generation using stable unCLIP."),fl.forEach(n),Wi=d(x),Fe=i(x,"P",{});var Ao=a(Fe);Bi=r(Ao,"This model inherits from "),kt=i(Ao,"A",{href:!0});var gl=a(kt);Ki=r(gl,"DiffusionPipeline"),gl.forEach(n),Hi=r(Ao,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Ao.forEach(n),Ri=d(x),M=i(x,"DIV",{class:!0});var Ut=a(M);h(Ve.$$.fragment,Ut),Ji=d(Ut),ln=i(Ut,"P",{});var ul=a(ln);Qi=r(ul,"Function invoked when calling the pipeline for generation."),ul.forEach(n),Xi=d(Ut),h(ge.$$.fragment,Ut),Ut.forEach(n),Yi=d(x),F=i(x,"DIV",{class:!0});var Tt=a(F);h(We.$$.fragment,Tt),Zi=d(Tt),dn=i(Tt,"P",{});var hl=a(dn);ea=r(hl,"Enable sliced attention computation."),hl.forEach(n),ta=d(Tt),pn=i(Tt,"P",{});var _l=a(pn);na=r(_l,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),_l.forEach(n),Tt.forEach(n),oa=d(x),ue=i(x,"DIV",{class:!0});var jo=a(ue);h(Be.$$.fragment,jo),ia=d(jo),Ke=i(jo,"P",{});var Oo=a(Ke);aa=r(Oo,"Disable sliced attention computation. If "),cn=i(Oo,"CODE",{});var bl=a(cn);sa=r(bl,"enable_attention_slicing"),bl.forEach(n),ra=r(Oo,` was previously invoked, this method will go
back to computing attention in one step.`),Oo.forEach(n),jo.forEach(n),la=d(x),V=i(x,"DIV",{class:!0});var Dt=a(V);h(He.$$.fragment,Dt),da=d(Dt),mn=i(Dt,"P",{});var vl=a(mn);pa=r(vl,"Enable sliced VAE decoding."),vl.forEach(n),ca=d(Dt),fn=i(Dt,"P",{});var Pl=a(fn);ma=r(Pl,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Pl.forEach(n),Dt.forEach(n),fa=d(x),he=i(x,"DIV",{class:!0});var qo=a(he);h(Re.$$.fragment,qo),ga=d(qo),Je=i(qo,"P",{});var No=a(Je);ua=r(No,"Disable sliced VAE decoding. If "),gn=i(No,"CODE",{});var Il=a(gn);ha=r(Il,"enable_vae_slicing"),Il.forEach(n),_a=r(No,` was previously invoked, this method will go back to
computing decoding in one step.`),No.forEach(n),qo.forEach(n),ba=d(x),A=i(x,"DIV",{class:!0});var R=a(A);h(Qe.$$.fragment,R),va=d(R),un=i(R,"P",{});var yl=a(un);Pa=r(yl,"Enable memory efficient attention as implemented in xformers."),yl.forEach(n),Ia=d(R),hn=i(R,"P",{});var $l=a(hn);ya=r($l,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),$l.forEach(n),$a=d(R),_n=i(R,"P",{});var wl=a(_n);wa=r(wl,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),wl.forEach(n),Ca=d(R),h(_e.$$.fragment,R),R.forEach(n),xa=d(x),be=i(x,"DIV",{class:!0});var zo=a(be);h(Xe.$$.fragment,zo),La=d(zo),bn=i(zo,"P",{});var Cl=a(bn);Ea=r(Cl,"Disable memory efficient attention as implemented in xformers."),Cl.forEach(n),zo.forEach(n),ka=d(x),ve=i(x,"DIV",{class:!0});var Go=a(ve);h(Ye.$$.fragment,Go),Sa=d(Go),O=i(Go,"P",{});var J=a(O);Ua=r(J,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),vn=i(J,"CODE",{});var xl=a(vn);Ta=r(xl,"enable_sequential_cpu_offload"),xl.forEach(n),Da=r(J,", this method moves one whole model at a time to the GPU when its "),Pn=i(J,"CODE",{});var Ll=a(Pn);Aa=r(Ll,"forward"),Ll.forEach(n),ja=r(J,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),In=i(J,"CODE",{});var El=a(In);Oa=r(El,"enable_sequential_cpu_offload"),El.forEach(n),qa=r(J,", but performance is much better due to the iterative execution of the "),yn=i(J,"CODE",{});var kl=a(yn);Na=r(kl,"unet"),kl.forEach(n),za=r(J,"."),J.forEach(n),Go.forEach(n),Ga=d(x),Pe=i(x,"DIV",{class:!0});var Mo=a(Pe);h(Ze.$$.fragment,Mo),Ma=d(Mo),et=i(Mo,"P",{});var Fo=a(et);Fa=r(Fo,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),$n=i(Fo,"CODE",{});var Sl=a($n);Va=r(Sl,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Sl.forEach(n),Wa=r(Fo,"forward` method called."),Fo.forEach(n),Mo.forEach(n),Ba=d(x),U=i(x,"DIV",{class:!0});var N=a(U);h(tt.$$.fragment,N),Ka=d(N),oe=i(N,"P",{});var At=a(oe);Ha=r(At,"Add noise to the image embeddings. The amount of noise is controlled by a "),wn=i(At,"CODE",{});var Ul=a(wn);Ra=r(Ul,"noise_level"),Ul.forEach(n),Ja=r(At,` input. A higher
`),Cn=i(At,"CODE",{});var Tl=a(Cn);Qa=r(Tl,"noise_level"),Tl.forEach(n),Xa=r(At," increases the variance in the final un-noised images."),At.forEach(n),Ya=d(N),xn=i(N,"P",{});var Dl=a(xn);Za=r(Dl,"The noise is applied in two ways"),Dl.forEach(n),es=d(N),nt=i(N,"OL",{});var Vo=a(nt);Ln=i(Vo,"LI",{});var Al=a(Ln);ts=r(Al,"A noise schedule is applied directly to the embeddings"),Al.forEach(n),ns=d(Vo),En=i(Vo,"LI",{});var jl=a(En);os=r(jl,"A vector of sinusoidal time embeddings are appended to the output."),jl.forEach(n),Vo.forEach(n),is=d(N),ot=i(N,"P",{});var Wo=a(ot);as=r(Wo,"In both cases, the amount of noise is controlled by the same "),kn=i(Wo,"CODE",{});var Ol=a(kn);ss=r(Ol,"noise_level"),Ol.forEach(n),rs=r(Wo,"."),Wo.forEach(n),ls=d(N),Sn=i(N,"P",{});var ql=a(Sn);ds=r(ql,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),ql.forEach(n),N.forEach(n),x.forEach(n),yo=d(t),ie=i(t,"H3",{class:!0});var Bo=a(ie);Ie=i(Bo,"A",{id:!0,class:!0,href:!0});var Nl=a(Ie);Un=i(Nl,"SPAN",{});var zl=a(Un);h(it.$$.fragment,zl),zl.forEach(n),Nl.forEach(n),ps=d(Bo),Tn=i(Bo,"SPAN",{});var Gl=a(Tn);cs=r(Gl,"StableUnCLIPImg2ImgPipeline"),Gl.forEach(n),Bo.forEach(n),$o=d(t),w=i(t,"DIV",{class:!0});var L=a(w);h(at.$$.fragment,L),ms=d(L),Dn=i(L,"P",{});var Ml=a(Dn);fs=r(Ml,"Pipeline for text-guided image to image generation using stable unCLIP."),Ml.forEach(n),gs=d(L),st=i(L,"P",{});var Ko=a(st);us=r(Ko,"This model inherits from "),St=i(Ko,"A",{href:!0});var Fl=a(St);hs=r(Fl,"DiffusionPipeline"),Fl.forEach(n),_s=r(Ko,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Ko.forEach(n),bs=d(L),W=i(L,"DIV",{class:!0});var jt=a(W);h(rt.$$.fragment,jt),vs=d(jt),An=i(jt,"P",{});var Vl=a(An);Ps=r(Vl,"Function invoked when calling the pipeline for generation."),Vl.forEach(n),Is=d(jt),h(ye.$$.fragment,jt),jt.forEach(n),ys=d(L),B=i(L,"DIV",{class:!0});var Ot=a(B);h(lt.$$.fragment,Ot),$s=d(Ot),jn=i(Ot,"P",{});var Wl=a(jn);ws=r(Wl,"Enable sliced attention computation."),Wl.forEach(n),Cs=d(Ot),On=i(Ot,"P",{});var Bl=a(On);xs=r(Bl,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Bl.forEach(n),Ot.forEach(n),Ls=d(L),$e=i(L,"DIV",{class:!0});var Ho=a($e);h(dt.$$.fragment,Ho),Es=d(Ho),pt=i(Ho,"P",{});var Ro=a(pt);ks=r(Ro,"Disable sliced attention computation. If "),qn=i(Ro,"CODE",{});var Kl=a(qn);Ss=r(Kl,"enable_attention_slicing"),Kl.forEach(n),Us=r(Ro,` was previously invoked, this method will go
back to computing attention in one step.`),Ro.forEach(n),Ho.forEach(n),Ts=d(L),K=i(L,"DIV",{class:!0});var qt=a(K);h(ct.$$.fragment,qt),Ds=d(qt),Nn=i(qt,"P",{});var Hl=a(Nn);As=r(Hl,"Enable sliced VAE decoding."),Hl.forEach(n),js=d(qt),zn=i(qt,"P",{});var Rl=a(zn);Os=r(Rl,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Rl.forEach(n),qt.forEach(n),qs=d(L),we=i(L,"DIV",{class:!0});var Jo=a(we);h(mt.$$.fragment,Jo),Ns=d(Jo),ft=i(Jo,"P",{});var Qo=a(ft);zs=r(Qo,"Disable sliced VAE decoding. If "),Gn=i(Qo,"CODE",{});var Jl=a(Gn);Gs=r(Jl,"enable_vae_slicing"),Jl.forEach(n),Ms=r(Qo,` was previously invoked, this method will go back to
computing decoding in one step.`),Qo.forEach(n),Jo.forEach(n),Fs=d(L),j=i(L,"DIV",{class:!0});var Q=a(j);h(gt.$$.fragment,Q),Vs=d(Q),Mn=i(Q,"P",{});var Ql=a(Mn);Ws=r(Ql,"Enable memory efficient attention as implemented in xformers."),Ql.forEach(n),Bs=d(Q),Fn=i(Q,"P",{});var Xl=a(Fn);Ks=r(Xl,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Xl.forEach(n),Hs=d(Q),Vn=i(Q,"P",{});var Yl=a(Vn);Rs=r(Yl,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Yl.forEach(n),Js=d(Q),h(Ce.$$.fragment,Q),Q.forEach(n),Qs=d(L),xe=i(L,"DIV",{class:!0});var Xo=a(xe);h(ut.$$.fragment,Xo),Xs=d(Xo),Wn=i(Xo,"P",{});var Zl=a(Wn);Ys=r(Zl,"Disable memory efficient attention as implemented in xformers."),Zl.forEach(n),Xo.forEach(n),Zs=d(L),Le=i(L,"DIV",{class:!0});var Yo=a(Le);h(ht.$$.fragment,Yo),er=d(Yo),q=i(Yo,"P",{});var X=a(q);tr=r(X,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Bn=i(X,"CODE",{});var ed=a(Bn);nr=r(ed,"enable_sequential_cpu_offload"),ed.forEach(n),or=r(X,", this method moves one whole model at a time to the GPU when its "),Kn=i(X,"CODE",{});var td=a(Kn);ir=r(td,"forward"),td.forEach(n),ar=r(X,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Hn=i(X,"CODE",{});var nd=a(Hn);sr=r(nd,"enable_sequential_cpu_offload"),nd.forEach(n),rr=r(X,", but performance is much better due to the iterative execution of the "),Rn=i(X,"CODE",{});var od=a(Rn);lr=r(od,"unet"),od.forEach(n),dr=r(X,"."),X.forEach(n),Yo.forEach(n),pr=d(L),Ee=i(L,"DIV",{class:!0});var Zo=a(Ee);h(_t.$$.fragment,Zo),cr=d(Zo),bt=i(Zo,"P",{});var ei=a(bt);mr=r(ei,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Jn=i(ei,"CODE",{});var id=a(Jn);fr=r(id,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),id.forEach(n),gr=r(ei,"forward` method called."),ei.forEach(n),Zo.forEach(n),ur=d(L),T=i(L,"DIV",{class:!0});var z=a(T);h(vt.$$.fragment,z),hr=d(z),ae=i(z,"P",{});var Nt=a(ae);_r=r(Nt,"Add noise to the image embeddings. The amount of noise is controlled by a "),Qn=i(Nt,"CODE",{});var ad=a(Qn);br=r(ad,"noise_level"),ad.forEach(n),vr=r(Nt,` input. A higher
`),Xn=i(Nt,"CODE",{});var sd=a(Xn);Pr=r(sd,"noise_level"),sd.forEach(n),Ir=r(Nt," increases the variance in the final un-noised images."),Nt.forEach(n),yr=d(z),Yn=i(z,"P",{});var rd=a(Yn);$r=r(rd,"The noise is applied in two ways"),rd.forEach(n),wr=d(z),Pt=i(z,"OL",{});var ti=a(Pt);Zn=i(ti,"LI",{});var ld=a(Zn);Cr=r(ld,"A noise schedule is applied directly to the embeddings"),ld.forEach(n),xr=d(ti),eo=i(ti,"LI",{});var dd=a(eo);Lr=r(dd,"A vector of sinusoidal time embeddings are appended to the output."),dd.forEach(n),ti.forEach(n),Er=d(z),It=i(z,"P",{});var ni=a(It);kr=r(ni,"In both cases, the amount of noise is controlled by the same "),to=i(ni,"CODE",{});var pd=a(to);Sr=r(pd,"noise_level"),pd.forEach(n),Ur=r(ni,"."),ni.forEach(n),Tr=d(z),no=i(z,"P",{});var cd=a(no);Dr=r(cd,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),cd.forEach(n),z.forEach(n),L.forEach(n),this.h()},h(){c(I,"name","hf:doc:metadata"),c(I,"content",JSON.stringify(yd)),c(g,"id","stable-unclip"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#stable-unclip"),c(C,"class","relative group"),c(wt,"href","./stable_diffusion_2"),c(Se,"href","https://arxiv.org/abs/2204.06125"),c(Se,"rel","nofollow"),c(re,"id","tips"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#tips"),c(Y,"class","relative group"),c(le,"id","available-checkpoints"),c(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(le,"href","#available-checkpoints"),c(Z,"class","relative group"),c(Ae,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip"),c(Ae,"rel","nofollow"),c(je,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip-small"),c(je,"rel","nofollow"),c(pe,"id","texttoimage-generation"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#texttoimage-generation"),c(ee,"class","relative group"),c(ce,"id","text-guided-imagetoimage-variation"),c(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ce,"href","#text-guided-imagetoimage-variation"),c(te,"class","relative group"),c(fe,"id","diffusers.StableUnCLIPPipeline"),c(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(fe,"href","#diffusers.StableUnCLIPPipeline"),c(ne,"class","relative group"),c(kt,"href","/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ie,"id","diffusers.StableUnCLIPImg2ImgPipeline"),c(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ie,"href","#diffusers.StableUnCLIPImg2ImgPipeline"),c(ie,"class","relative group"),c(St,"href","/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,I),f(t,S,m),f(t,C,m),e(C,g),e(g,E),_(p,E,null),e(C,y),e(C,Gt),e(Gt,ai),f(t,so,m),f(t,se,m),e(se,si),e(se,wt),e(wt,ri),e(se,li),f(t,ro,m),f(t,Ct,m),e(Ct,di),f(t,lo,m),f(t,ke,m),e(ke,Se),e(Se,pi),e(ke,ci),f(t,po,m),f(t,Y,m),e(Y,re),e(re,Mt),_(Ue,Mt,null),e(Y,mi),e(Y,Ft),e(Ft,fi),f(t,co,m),f(t,D,m),e(D,gi),e(D,Vt),e(Vt,ui),e(D,hi),e(D,Wt),e(Wt,_i),e(D,bi),e(D,Bt),e(Bt,vi),e(D,Pi),e(D,Kt),e(Kt,Ii),e(D,yi),f(t,mo,m),f(t,Z,m),e(Z,le),e(le,Ht),_(Te,Ht,null),e(Z,$i),e(Z,Rt),e(Rt,wi),f(t,fo,m),f(t,de,m),e(de,xt),e(xt,Ci),e(xt,De),e(De,Jt),e(Jt,Ae),e(Ae,xi),e(De,Li),e(De,Qt),e(Qt,je),e(je,Ei),e(de,ki),e(de,Lt),e(Lt,Si),e(Lt,Xt),e(Xt,Yt),e(Yt,Ui),f(t,go,m),f(t,ee,m),e(ee,pe),e(pe,Zt),_(Oe,Zt,null),e(ee,Ti),e(ee,en),e(en,Di),f(t,uo,m),f(t,Et,m),e(Et,Ai),f(t,ho,m),f(t,te,m),e(te,ce),e(ce,tn),_(qe,tn,null),e(te,ji),e(te,nn),e(nn,Oi),f(t,_o,m),_(Ne,t,m),f(t,bo,m),f(t,me,m),e(me,qi),e(me,on),e(on,Ni),e(me,zi),f(t,vo,m),_(ze,t,m),f(t,Po,m),f(t,ne,m),e(ne,fe),e(fe,an),_(Ge,an,null),e(ne,Gi),e(ne,sn),e(sn,Mi),f(t,Io,m),f(t,$,m),_(Me,$,null),e($,Fi),e($,rn),e(rn,Vi),e($,Wi),e($,Fe),e(Fe,Bi),e(Fe,kt),e(kt,Ki),e(Fe,Hi),e($,Ri),e($,M),_(Ve,M,null),e(M,Ji),e(M,ln),e(ln,Qi),e(M,Xi),_(ge,M,null),e($,Yi),e($,F),_(We,F,null),e(F,Zi),e(F,dn),e(dn,ea),e(F,ta),e(F,pn),e(pn,na),e($,oa),e($,ue),_(Be,ue,null),e(ue,ia),e(ue,Ke),e(Ke,aa),e(Ke,cn),e(cn,sa),e(Ke,ra),e($,la),e($,V),_(He,V,null),e(V,da),e(V,mn),e(mn,pa),e(V,ca),e(V,fn),e(fn,ma),e($,fa),e($,he),_(Re,he,null),e(he,ga),e(he,Je),e(Je,ua),e(Je,gn),e(gn,ha),e(Je,_a),e($,ba),e($,A),_(Qe,A,null),e(A,va),e(A,un),e(un,Pa),e(A,Ia),e(A,hn),e(hn,ya),e(A,$a),e(A,_n),e(_n,wa),e(A,Ca),_(_e,A,null),e($,xa),e($,be),_(Xe,be,null),e(be,La),e(be,bn),e(bn,Ea),e($,ka),e($,ve),_(Ye,ve,null),e(ve,Sa),e(ve,O),e(O,Ua),e(O,vn),e(vn,Ta),e(O,Da),e(O,Pn),e(Pn,Aa),e(O,ja),e(O,In),e(In,Oa),e(O,qa),e(O,yn),e(yn,Na),e(O,za),e($,Ga),e($,Pe),_(Ze,Pe,null),e(Pe,Ma),e(Pe,et),e(et,Fa),e(et,$n),e($n,Va),e(et,Wa),e($,Ba),e($,U),_(tt,U,null),e(U,Ka),e(U,oe),e(oe,Ha),e(oe,wn),e(wn,Ra),e(oe,Ja),e(oe,Cn),e(Cn,Qa),e(oe,Xa),e(U,Ya),e(U,xn),e(xn,Za),e(U,es),e(U,nt),e(nt,Ln),e(Ln,ts),e(nt,ns),e(nt,En),e(En,os),e(U,is),e(U,ot),e(ot,as),e(ot,kn),e(kn,ss),e(ot,rs),e(U,ls),e(U,Sn),e(Sn,ds),f(t,yo,m),f(t,ie,m),e(ie,Ie),e(Ie,Un),_(it,Un,null),e(ie,ps),e(ie,Tn),e(Tn,cs),f(t,$o,m),f(t,w,m),_(at,w,null),e(w,ms),e(w,Dn),e(Dn,fs),e(w,gs),e(w,st),e(st,us),e(st,St),e(St,hs),e(st,_s),e(w,bs),e(w,W),_(rt,W,null),e(W,vs),e(W,An),e(An,Ps),e(W,Is),_(ye,W,null),e(w,ys),e(w,B),_(lt,B,null),e(B,$s),e(B,jn),e(jn,ws),e(B,Cs),e(B,On),e(On,xs),e(w,Ls),e(w,$e),_(dt,$e,null),e($e,Es),e($e,pt),e(pt,ks),e(pt,qn),e(qn,Ss),e(pt,Us),e(w,Ts),e(w,K),_(ct,K,null),e(K,Ds),e(K,Nn),e(Nn,As),e(K,js),e(K,zn),e(zn,Os),e(w,qs),e(w,we),_(mt,we,null),e(we,Ns),e(we,ft),e(ft,zs),e(ft,Gn),e(Gn,Gs),e(ft,Ms),e(w,Fs),e(w,j),_(gt,j,null),e(j,Vs),e(j,Mn),e(Mn,Ws),e(j,Bs),e(j,Fn),e(Fn,Ks),e(j,Hs),e(j,Vn),e(Vn,Rs),e(j,Js),_(Ce,j,null),e(w,Qs),e(w,xe),_(ut,xe,null),e(xe,Xs),e(xe,Wn),e(Wn,Ys),e(w,Zs),e(w,Le),_(ht,Le,null),e(Le,er),e(Le,q),e(q,tr),e(q,Bn),e(Bn,nr),e(q,or),e(q,Kn),e(Kn,ir),e(q,ar),e(q,Hn),e(Hn,sr),e(q,rr),e(q,Rn),e(Rn,lr),e(q,dr),e(w,pr),e(w,Ee),_(_t,Ee,null),e(Ee,cr),e(Ee,bt),e(bt,mr),e(bt,Jn),e(Jn,fr),e(bt,gr),e(w,ur),e(w,T),_(vt,T,null),e(T,hr),e(T,ae),e(ae,_r),e(ae,Qn),e(Qn,br),e(ae,vr),e(ae,Xn),e(Xn,Pr),e(ae,Ir),e(T,yr),e(T,Yn),e(Yn,$r),e(T,wr),e(T,Pt),e(Pt,Zn),e(Zn,Cr),e(Pt,xr),e(Pt,eo),e(eo,Lr),e(T,Er),e(T,It),e(It,kr),e(It,to),e(to,Sr),e(It,Ur),e(T,Tr),e(T,no),e(no,Dr),wo=!0},p(t,[m]){const yt={};m&2&&(yt.$$scope={dirty:m,ctx:t}),ge.$set(yt);const oo={};m&2&&(oo.$$scope={dirty:m,ctx:t}),_e.$set(oo);const io={};m&2&&(io.$$scope={dirty:m,ctx:t}),ye.$set(io);const ao={};m&2&&(ao.$$scope={dirty:m,ctx:t}),Ce.$set(ao)},i(t){wo||(b(p.$$.fragment,t),b(Ue.$$.fragment,t),b(Te.$$.fragment,t),b(Oe.$$.fragment,t),b(qe.$$.fragment,t),b(Ne.$$.fragment,t),b(ze.$$.fragment,t),b(Ge.$$.fragment,t),b(Me.$$.fragment,t),b(Ve.$$.fragment,t),b(ge.$$.fragment,t),b(We.$$.fragment,t),b(Be.$$.fragment,t),b(He.$$.fragment,t),b(Re.$$.fragment,t),b(Qe.$$.fragment,t),b(_e.$$.fragment,t),b(Xe.$$.fragment,t),b(Ye.$$.fragment,t),b(Ze.$$.fragment,t),b(tt.$$.fragment,t),b(it.$$.fragment,t),b(at.$$.fragment,t),b(rt.$$.fragment,t),b(ye.$$.fragment,t),b(lt.$$.fragment,t),b(dt.$$.fragment,t),b(ct.$$.fragment,t),b(mt.$$.fragment,t),b(gt.$$.fragment,t),b(Ce.$$.fragment,t),b(ut.$$.fragment,t),b(ht.$$.fragment,t),b(_t.$$.fragment,t),b(vt.$$.fragment,t),wo=!0)},o(t){v(p.$$.fragment,t),v(Ue.$$.fragment,t),v(Te.$$.fragment,t),v(Oe.$$.fragment,t),v(qe.$$.fragment,t),v(Ne.$$.fragment,t),v(ze.$$.fragment,t),v(Ge.$$.fragment,t),v(Me.$$.fragment,t),v(Ve.$$.fragment,t),v(ge.$$.fragment,t),v(We.$$.fragment,t),v(Be.$$.fragment,t),v(He.$$.fragment,t),v(Re.$$.fragment,t),v(Qe.$$.fragment,t),v(_e.$$.fragment,t),v(Xe.$$.fragment,t),v(Ye.$$.fragment,t),v(Ze.$$.fragment,t),v(tt.$$.fragment,t),v(it.$$.fragment,t),v(at.$$.fragment,t),v(rt.$$.fragment,t),v(ye.$$.fragment,t),v(lt.$$.fragment,t),v(dt.$$.fragment,t),v(ct.$$.fragment,t),v(mt.$$.fragment,t),v(gt.$$.fragment,t),v(Ce.$$.fragment,t),v(ut.$$.fragment,t),v(ht.$$.fragment,t),v(_t.$$.fragment,t),v(vt.$$.fragment,t),wo=!1},d(t){n(I),t&&n(S),t&&n(C),P(p),t&&n(so),t&&n(se),t&&n(ro),t&&n(Ct),t&&n(lo),t&&n(ke),t&&n(po),t&&n(Y),P(Ue),t&&n(co),t&&n(D),t&&n(mo),t&&n(Z),P(Te),t&&n(fo),t&&n(de),t&&n(go),t&&n(ee),P(Oe),t&&n(uo),t&&n(Et),t&&n(ho),t&&n(te),P(qe),t&&n(_o),P(Ne,t),t&&n(bo),t&&n(me),t&&n(vo),P(ze,t),t&&n(Po),t&&n(ne),P(Ge),t&&n(Io),t&&n($),P(Me),P(Ve),P(ge),P(We),P(Be),P(He),P(Re),P(Qe),P(_e),P(Xe),P(Ye),P(Ze),P(tt),t&&n(yo),t&&n(ie),P(it),t&&n($o),t&&n(w),P(at),P(rt),P(ye),P(lt),P(dt),P(ct),P(mt),P(gt),P(Ce),P(ut),P(ht),P(_t),P(vt)}}}const yd={local:"stable-unclip",sections:[{local:"tips",sections:[{local:"available-checkpoints",title:"Available checkpoints:"},{local:"texttoimage-generation",title:"Text-to-Image Generation"},{local:"text-guided-imagetoimage-variation",title:"Text guided Image-to-Image Variation"},{local:"diffusers.StableUnCLIPPipeline",title:"StableUnCLIPPipeline"},{local:"diffusers.StableUnCLIPImg2ImgPipeline",title:"StableUnCLIPImg2ImgPipeline"}],title:"Tips"}],title:"Stable unCLIP"};function $d(G){return hd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kd extends md{constructor(I){super();fd(this,I,$d,Id,gd,{})}}export{kd as default,yd as metadata};
