import{S as st,i as tt,s as lt,e as n,k as u,w as k,t,M as nt,c as o,d as s,m,a,x,h as l,b as f,G as i,g as r,y as D,q as C,o as A,B as H,v as ot}from"../../chunks/vendor-hf-doc-builder.js";import{T as at}from"../../chunks/Tip-hf-doc-builder.js";import{I as ni}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as oi}from"../../chunks/CodeBlock-hf-doc-builder.js";function pt(Le){let h,L;return{c(){h=n("p"),L=t(`By loading a custom pipeline from the Hugging Face Hub, you are trusting that the code you are loading
is safe \u{1F512}. Make sure to check out the code online before loading & running it automatically.`)},l(g){h=o(g,"P",{});var v=a(h);L=l(v,`By loading a custom pipeline from the Hugging Face Hub, you are trusting that the code you are loading
is safe \u{1F512}. Make sure to check out the code online before loading & running it automatically.`),v.forEach(s)},m(g,v){r(g,h,v),i(h,L)},d(g){g&&s(h)}}}function rt(Le){let h,L,g,v,pe,T,ai,re,pi,qe,b,ri,K,fi,ui,te,mi,di,Se,E,q,fe,U,ci,ue,hi,Me,$,_i,me,gi,yi,V,vi,wi,Ie,S,bi,de,$i,Ei,Oe,G,ze,M,Pi,J,ji,ki,Be,I,Ne,P,O,ce,R,xi,he,Di,Fe,z,Ci,Z,Ai,Hi,Te,c,Li,_e,qi,Si,ge,Mi,Ii,ye,Oi,zi,ve,Bi,Ni,we,Fi,Ti,be,Ki,Ui,Ke,B,Vi,$e,Gi,Ji,Ue,Q,Ve,j,N,Ee,W,Ri,Pe,Zi,Ge,w,Qi,le,Wi,Xi,je,Yi,es,ke,is,ss,Je,ne,ts,Re,X,Ze,d,ls,xe,ns,os,Y,as,ps,ee,rs,fs,De,us,ms,Ce,ds,cs,Ae,hs,_s,He,gs,ys,Qe,ie,We;return T=new ni({}),U=new ni({}),G=new oi({props:{code:`from diffusers import DiffusionPipeline

pipeline = DiffusionPipeline.from_pretrained(
    "google/ddpm-cifar10-32", custom_pipeline="hf-internal-testing/diffusers-dummy-pipeline"
)`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

pipeline = DiffusionPipeline.from_pretrained(
    <span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>, custom_pipeline=<span class="hljs-string">&quot;hf-internal-testing/diffusers-dummy-pipeline&quot;</span>
)`}}),I=new at({props:{warning:!0,$$slots:{default:[pt]},$$scope:{ctx:Le}}}),R=new ni({}),Q=new oi({props:{code:`from diffusers import DiffusionPipeline
from transformers import CLIPImageProcessor, CLIPModel

clip_model_id = "laion/CLIP-ViT-B-32-laion2B-s34B-b79K"

feature_extractor = CLIPImageProcessor.from_pretrained(clip_model_id)
clip_model = CLIPModel.from_pretrained(clip_model_id)

pipeline = DiffusionPipeline.from_pretrained(
    "runwayml/stable-diffusion-v1-5",
    custom_pipeline="clip_guided_stable_diffusion",
    clip_model=clip_model,
    feature_extractor=feature_extractor,
)`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> CLIPImageProcessor, CLIPModel

clip_model_id = <span class="hljs-string">&quot;laion/CLIP-ViT-B-32-laion2B-s34B-b79K&quot;</span>

feature_extractor = CLIPImageProcessor.from_pretrained(clip_model_id)
clip_model = CLIPModel.from_pretrained(clip_model_id)

pipeline = DiffusionPipeline.from_pretrained(
    <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>,
    custom_pipeline=<span class="hljs-string">&quot;clip_guided_stable_diffusion&quot;</span>,
    clip_model=clip_model,
    feature_extractor=feature_extractor,
)`}}),W=new ni({}),X=new oi({props:{code:`import torch
from diffusers import DiffusionPipeline


class MyPipeline(DiffusionPipeline):
    def __init__(self, unet, scheduler):
        super().__init__()

    self.register_modules(unet=unet, scheduler=scheduler)

    @torch.no_grad()
    def __call__(self, batch_size: int = 1, num_inference_steps: int = 50):
        # Sample gaussian noise to begin loop
        image = torch.randn((batch_size, self.unet.in_channels, self.unet.sample_size, self.unet.sample_size))

        image = image.to(self.device)

        # set step values
        self.scheduler.set_timesteps(num_inference_steps)

        for t in self.progress_bar(self.scheduler.timesteps):
            # 1. predict noise model_output
            model_output = self.unet(image, t).sample

            # 2. predict previous mean of image x_t-1 and add variance depending on eta
            # eta corresponds to \u03B7 in paper and should be between [0, 1]
            # do x_t -> x_t-1
            image = self.scheduler.step(model_output, t, image, eta).prev_sample

        image = (image / 2 + 0.5).clamp(0, 1)
        image = image.cpu().permute(0, 2, 3, 1).numpy()

        return image`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline


<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyPipeline</span>(<span class="hljs-title class_ inherited__">DiffusionPipeline</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__init__</span>(<span class="hljs-params">self, unet, scheduler</span>):
        <span class="hljs-built_in">super</span>().__init__()

    self.register_modules(unet=unet, scheduler=scheduler)

<span class="hljs-meta">    @torch.no_grad()</span>
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__call__</span>(<span class="hljs-params">self, batch_size: <span class="hljs-built_in">int</span> = <span class="hljs-number">1</span>, num_inference_steps: <span class="hljs-built_in">int</span> = <span class="hljs-number">50</span></span>):
        <span class="hljs-comment"># Sample gaussian noise to begin loop</span>
        image = torch.randn((batch_size, self.unet.in_channels, self.unet.sample_size, self.unet.sample_size))

        image = image.to(self.device)

        <span class="hljs-comment"># set step values</span>
        self.scheduler.set_timesteps(num_inference_steps)

        <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> self.progress_bar(self.scheduler.timesteps):
            <span class="hljs-comment"># 1. predict noise model_output</span>
            model_output = self.unet(image, t).sample

            <span class="hljs-comment"># 2. predict previous mean of image x_t-1 and add variance depending on eta</span>
            <span class="hljs-comment"># eta corresponds to \u03B7 in paper and should be between [0, 1]</span>
            <span class="hljs-comment"># do x_t -&gt; x_t-1</span>
            image = self.scheduler.step(model_output, t, image, eta).prev_sample

        image = (image / <span class="hljs-number">2</span> + <span class="hljs-number">0.5</span>).clamp(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>)
        image = image.cpu().permute(<span class="hljs-number">0</span>, <span class="hljs-number">2</span>, <span class="hljs-number">3</span>, <span class="hljs-number">1</span>).numpy()

        <span class="hljs-keyword">return</span> image`}}),ie=new oi({props:{code:`my_pipeline = DiffusionPipeline.from_pretrained(
    "google/ddpm-cifar10-32", custom_pipeline="patrickvonplaten/my_custom_pipeline"
)`,highlighted:`my_pipeline = DiffusionPipeline.from_pretrained(
    <span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>, custom_pipeline=<span class="hljs-string">&quot;patrickvonplaten/my_custom_pipeline&quot;</span>
)`}}),{c(){h=n("meta"),L=u(),g=n("h1"),v=n("a"),pe=n("span"),k(T.$$.fragment),ai=u(),re=n("span"),pi=t("Loading and Adding Custom Pipelines"),qe=u(),b=n("p"),ri=t("Diffusers allows you to conveniently load any custom pipeline from the Hugging Face Hub as well as any "),K=n("a"),fi=t("official community pipeline"),ui=t(`
via the `),te=n("a"),mi=t("DiffusionPipeline"),di=t(" class."),Se=u(),E=n("h2"),q=n("a"),fe=n("span"),k(U.$$.fragment),ci=u(),ue=n("span"),hi=t("Loading custom pipelines from the Hub"),Me=u(),$=n("p"),_i=t("Custom pipelines can be easily loaded from any model repository on the Hub that defines a diffusion pipeline in a "),me=n("code"),gi=t("pipeline.py"),yi=t(` file.
Let\u2019s load a dummy pipeline from `),V=n("a"),vi=t("hf-internal-testing/diffusers-dummy-pipeline"),wi=t("."),Ie=u(),S=n("p"),bi=t("All you need to do is pass the custom pipeline repo id with the "),de=n("code"),$i=t("custom_pipeline"),Ei=t(" argument alongside the repo from where you wish to load the pipeline modules."),Oe=u(),k(G.$$.fragment),ze=u(),M=n("p"),Pi=t("This will load the custom pipeline as defined in the "),J=n("a"),ji=t("model repository"),ki=t("."),Be=u(),k(I.$$.fragment),Ne=u(),P=n("h2"),O=n("a"),ce=n("span"),k(R.$$.fragment),xi=u(),he=n("span"),Di=t("Loading official community pipelines"),Fe=u(),z=n("p"),Ci=t("Community pipelines are summarized in the "),Z=n("a"),Ai=t("community examples folder"),Hi=t("."),Te=u(),c=n("p"),Li=t("Similarly, you need to pass both the "),_e=n("em"),qi=t("repo id"),Si=t(" from where you wish to load the weights as well as the "),ge=n("code"),Mi=t("custom_pipeline"),Ii=t(" argument. Here the "),ye=n("code"),Oi=t("custom_pipeline"),zi=t(" argument should consist simply of the filename of the community pipeline excluding the "),ve=n("code"),Bi=t(".py"),Ni=t(" suffix, "),we=n("em"),Fi=t("e.g."),Ti=u(),be=n("code"),Ki=t("clip_guided_stable_diffusion"),Ui=t("."),Ke=u(),B=n("p"),Vi=t("Since community pipelines are often more complex, one can mix loading weights from an official "),$e=n("em"),Gi=t("repo id"),Ji=t(`
and passing pipeline modules directly.`),Ue=u(),k(Q.$$.fragment),Ve=u(),j=n("h2"),N=n("a"),Ee=n("span"),k(W.$$.fragment),Ri=u(),Pe=n("span"),Zi=t("Adding custom pipelines to the Hub"),Ge=u(),w=n("p"),Qi=t(`To add a custom pipeline to the Hub, all you need to do is to define a pipeline class that inherits
from `),le=n("a"),Wi=t("DiffusionPipeline"),Xi=t(" in a "),je=n("code"),Yi=t("pipeline.py"),es=t(` file.
Make sure that the whole pipeline is encapsulated within a single class and that the `),ke=n("code"),is=t("pipeline.py"),ss=t(` file
has only one such class.`),Je=u(),ne=n("p"),ts=t("Let\u2019s quickly define an example pipeline."),Re=u(),k(X.$$.fragment),Ze=u(),d=n("p"),ls=t("Now you can upload this short file under the name "),xe=n("code"),ns=t("pipeline.py"),os=t(" in your preferred "),Y=n("a"),as=t("model repository"),ps=t(". For Stable Diffusion pipelines, you may also "),ee=n("a"),rs=t("join the community organisation for shared pipelines"),fs=t(` to upload yours.
Finally, we can load the custom pipeline by passing the model repository name, `),De=n("em"),us=t("e.g."),ms=u(),Ce=n("code"),ds=t("sd-diffusers-pipelines-library/my_custom_pipeline"),cs=t(" alongside the model repository from where we want to load the "),Ae=n("code"),hs=t("unet"),_s=t(" and "),He=n("code"),gs=t("scheduler"),ys=t(" components."),Qe=u(),k(ie.$$.fragment),this.h()},l(e){const p=nt('[data-svelte="svelte-1phssyn"]',document.head);h=o(p,"META",{name:!0,content:!0}),p.forEach(s),L=m(e),g=o(e,"H1",{class:!0});var se=a(g);v=o(se,"A",{id:!0,class:!0,href:!0});var vs=a(v);pe=o(vs,"SPAN",{});var ws=a(pe);x(T.$$.fragment,ws),ws.forEach(s),vs.forEach(s),ai=m(se),re=o(se,"SPAN",{});var bs=a(re);pi=l(bs,"Loading and Adding Custom Pipelines"),bs.forEach(s),se.forEach(s),qe=m(e),b=o(e,"P",{});var oe=a(b);ri=l(oe,"Diffusers allows you to conveniently load any custom pipeline from the Hugging Face Hub as well as any "),K=o(oe,"A",{href:!0,rel:!0});var $s=a(K);fi=l($s,"official community pipeline"),$s.forEach(s),ui=l(oe,`
via the `),te=o(oe,"A",{href:!0});var Es=a(te);mi=l(Es,"DiffusionPipeline"),Es.forEach(s),di=l(oe," class."),oe.forEach(s),Se=m(e),E=o(e,"H2",{class:!0});var Xe=a(E);q=o(Xe,"A",{id:!0,class:!0,href:!0});var Ps=a(q);fe=o(Ps,"SPAN",{});var js=a(fe);x(U.$$.fragment,js),js.forEach(s),Ps.forEach(s),ci=m(Xe),ue=o(Xe,"SPAN",{});var ks=a(ue);hi=l(ks,"Loading custom pipelines from the Hub"),ks.forEach(s),Xe.forEach(s),Me=m(e),$=o(e,"P",{});var ae=a($);_i=l(ae,"Custom pipelines can be easily loaded from any model repository on the Hub that defines a diffusion pipeline in a "),me=o(ae,"CODE",{});var xs=a(me);gi=l(xs,"pipeline.py"),xs.forEach(s),yi=l(ae,` file.
Let\u2019s load a dummy pipeline from `),V=o(ae,"A",{href:!0,rel:!0});var Ds=a(V);vi=l(Ds,"hf-internal-testing/diffusers-dummy-pipeline"),Ds.forEach(s),wi=l(ae,"."),ae.forEach(s),Ie=m(e),S=o(e,"P",{});var Ye=a(S);bi=l(Ye,"All you need to do is pass the custom pipeline repo id with the "),de=o(Ye,"CODE",{});var Cs=a(de);$i=l(Cs,"custom_pipeline"),Cs.forEach(s),Ei=l(Ye," argument alongside the repo from where you wish to load the pipeline modules."),Ye.forEach(s),Oe=m(e),x(G.$$.fragment,e),ze=m(e),M=o(e,"P",{});var ei=a(M);Pi=l(ei,"This will load the custom pipeline as defined in the "),J=o(ei,"A",{href:!0,rel:!0});var As=a(J);ji=l(As,"model repository"),As.forEach(s),ki=l(ei,"."),ei.forEach(s),Be=m(e),x(I.$$.fragment,e),Ne=m(e),P=o(e,"H2",{class:!0});var ii=a(P);O=o(ii,"A",{id:!0,class:!0,href:!0});var Hs=a(O);ce=o(Hs,"SPAN",{});var Ls=a(ce);x(R.$$.fragment,Ls),Ls.forEach(s),Hs.forEach(s),xi=m(ii),he=o(ii,"SPAN",{});var qs=a(he);Di=l(qs,"Loading official community pipelines"),qs.forEach(s),ii.forEach(s),Fe=m(e),z=o(e,"P",{});var si=a(z);Ci=l(si,"Community pipelines are summarized in the "),Z=o(si,"A",{href:!0,rel:!0});var Ss=a(Z);Ai=l(Ss,"community examples folder"),Ss.forEach(s),Hi=l(si,"."),si.forEach(s),Te=m(e),c=o(e,"P",{});var y=a(c);Li=l(y,"Similarly, you need to pass both the "),_e=o(y,"EM",{});var Ms=a(_e);qi=l(Ms,"repo id"),Ms.forEach(s),Si=l(y," from where you wish to load the weights as well as the "),ge=o(y,"CODE",{});var Is=a(ge);Mi=l(Is,"custom_pipeline"),Is.forEach(s),Ii=l(y," argument. Here the "),ye=o(y,"CODE",{});var Os=a(ye);Oi=l(Os,"custom_pipeline"),Os.forEach(s),zi=l(y," argument should consist simply of the filename of the community pipeline excluding the "),ve=o(y,"CODE",{});var zs=a(ve);Bi=l(zs,".py"),zs.forEach(s),Ni=l(y," suffix, "),we=o(y,"EM",{});var Bs=a(we);Fi=l(Bs,"e.g."),Bs.forEach(s),Ti=m(y),be=o(y,"CODE",{});var Ns=a(be);Ki=l(Ns,"clip_guided_stable_diffusion"),Ns.forEach(s),Ui=l(y,"."),y.forEach(s),Ke=m(e),B=o(e,"P",{});var ti=a(B);Vi=l(ti,"Since community pipelines are often more complex, one can mix loading weights from an official "),$e=o(ti,"EM",{});var Fs=a($e);Gi=l(Fs,"repo id"),Fs.forEach(s),Ji=l(ti,`
and passing pipeline modules directly.`),ti.forEach(s),Ue=m(e),x(Q.$$.fragment,e),Ve=m(e),j=o(e,"H2",{class:!0});var li=a(j);N=o(li,"A",{id:!0,class:!0,href:!0});var Ts=a(N);Ee=o(Ts,"SPAN",{});var Ks=a(Ee);x(W.$$.fragment,Ks),Ks.forEach(s),Ts.forEach(s),Ri=m(li),Pe=o(li,"SPAN",{});var Us=a(Pe);Zi=l(Us,"Adding custom pipelines to the Hub"),Us.forEach(s),li.forEach(s),Ge=m(e),w=o(e,"P",{});var F=a(w);Qi=l(F,`To add a custom pipeline to the Hub, all you need to do is to define a pipeline class that inherits
from `),le=o(F,"A",{href:!0});var Vs=a(le);Wi=l(Vs,"DiffusionPipeline"),Vs.forEach(s),Xi=l(F," in a "),je=o(F,"CODE",{});var Gs=a(je);Yi=l(Gs,"pipeline.py"),Gs.forEach(s),es=l(F,` file.
Make sure that the whole pipeline is encapsulated within a single class and that the `),ke=o(F,"CODE",{});var Js=a(ke);is=l(Js,"pipeline.py"),Js.forEach(s),ss=l(F,` file
has only one such class.`),F.forEach(s),Je=m(e),ne=o(e,"P",{});var Rs=a(ne);ts=l(Rs,"Let\u2019s quickly define an example pipeline."),Rs.forEach(s),Re=m(e),x(X.$$.fragment,e),Ze=m(e),d=o(e,"P",{});var _=a(d);ls=l(_,"Now you can upload this short file under the name "),xe=o(_,"CODE",{});var Zs=a(xe);ns=l(Zs,"pipeline.py"),Zs.forEach(s),os=l(_," in your preferred "),Y=o(_,"A",{href:!0,rel:!0});var Qs=a(Y);as=l(Qs,"model repository"),Qs.forEach(s),ps=l(_,". For Stable Diffusion pipelines, you may also "),ee=o(_,"A",{href:!0,rel:!0});var Ws=a(ee);rs=l(Ws,"join the community organisation for shared pipelines"),Ws.forEach(s),fs=l(_,` to upload yours.
Finally, we can load the custom pipeline by passing the model repository name, `),De=o(_,"EM",{});var Xs=a(De);us=l(Xs,"e.g."),Xs.forEach(s),ms=m(_),Ce=o(_,"CODE",{});var Ys=a(Ce);ds=l(Ys,"sd-diffusers-pipelines-library/my_custom_pipeline"),Ys.forEach(s),cs=l(_," alongside the model repository from where we want to load the "),Ae=o(_,"CODE",{});var et=a(Ae);hs=l(et,"unet"),et.forEach(s),_s=l(_," and "),He=o(_,"CODE",{});var it=a(He);gs=l(it,"scheduler"),it.forEach(s),ys=l(_," components."),_.forEach(s),Qe=m(e),x(ie.$$.fragment,e),this.h()},h(){f(h,"name","hf:doc:metadata"),f(h,"content",JSON.stringify(ft)),f(v,"id","loading-and-adding-custom-pipelines"),f(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(v,"href","#loading-and-adding-custom-pipelines"),f(g,"class","relative group"),f(K,"href","https://github.com/huggingface/diffusers/tree/main/examples/community"),f(K,"rel","nofollow"),f(te,"href","/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),f(q,"id","loading-custom-pipelines-from-the-hub"),f(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(q,"href","#loading-custom-pipelines-from-the-hub"),f(E,"class","relative group"),f(V,"href","https://huggingface.co/hf-internal-testing/diffusers-dummy-pipeline"),f(V,"rel","nofollow"),f(J,"href","https://huggingface.co/hf-internal-testing/diffusers-dummy-pipeline/blob/main/pipeline.py"),f(J,"rel","nofollow"),f(O,"id","loading-official-community-pipelines"),f(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(O,"href","#loading-official-community-pipelines"),f(P,"class","relative group"),f(Z,"href","https://github.com/huggingface/diffusers/tree/main/examples/community"),f(Z,"rel","nofollow"),f(N,"id","adding-custom-pipelines-to-the-hub"),f(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(N,"href","#adding-custom-pipelines-to-the-hub"),f(j,"class","relative group"),f(le,"href","/docs/diffusers/pr_2796/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),f(Y,"href","https://huggingface.co/docs/hub/models-uploading"),f(Y,"rel","nofollow"),f(ee,"href","https://huggingface.co/organizations/sd-diffusers-pipelines-library/share/BUPyDUuHcciGTOKaExlqtfFcyCZsVFdrjr"),f(ee,"rel","nofollow")},m(e,p){i(document.head,h),r(e,L,p),r(e,g,p),i(g,v),i(v,pe),D(T,pe,null),i(g,ai),i(g,re),i(re,pi),r(e,qe,p),r(e,b,p),i(b,ri),i(b,K),i(K,fi),i(b,ui),i(b,te),i(te,mi),i(b,di),r(e,Se,p),r(e,E,p),i(E,q),i(q,fe),D(U,fe,null),i(E,ci),i(E,ue),i(ue,hi),r(e,Me,p),r(e,$,p),i($,_i),i($,me),i(me,gi),i($,yi),i($,V),i(V,vi),i($,wi),r(e,Ie,p),r(e,S,p),i(S,bi),i(S,de),i(de,$i),i(S,Ei),r(e,Oe,p),D(G,e,p),r(e,ze,p),r(e,M,p),i(M,Pi),i(M,J),i(J,ji),i(M,ki),r(e,Be,p),D(I,e,p),r(e,Ne,p),r(e,P,p),i(P,O),i(O,ce),D(R,ce,null),i(P,xi),i(P,he),i(he,Di),r(e,Fe,p),r(e,z,p),i(z,Ci),i(z,Z),i(Z,Ai),i(z,Hi),r(e,Te,p),r(e,c,p),i(c,Li),i(c,_e),i(_e,qi),i(c,Si),i(c,ge),i(ge,Mi),i(c,Ii),i(c,ye),i(ye,Oi),i(c,zi),i(c,ve),i(ve,Bi),i(c,Ni),i(c,we),i(we,Fi),i(c,Ti),i(c,be),i(be,Ki),i(c,Ui),r(e,Ke,p),r(e,B,p),i(B,Vi),i(B,$e),i($e,Gi),i(B,Ji),r(e,Ue,p),D(Q,e,p),r(e,Ve,p),r(e,j,p),i(j,N),i(N,Ee),D(W,Ee,null),i(j,Ri),i(j,Pe),i(Pe,Zi),r(e,Ge,p),r(e,w,p),i(w,Qi),i(w,le),i(le,Wi),i(w,Xi),i(w,je),i(je,Yi),i(w,es),i(w,ke),i(ke,is),i(w,ss),r(e,Je,p),r(e,ne,p),i(ne,ts),r(e,Re,p),D(X,e,p),r(e,Ze,p),r(e,d,p),i(d,ls),i(d,xe),i(xe,ns),i(d,os),i(d,Y),i(Y,as),i(d,ps),i(d,ee),i(ee,rs),i(d,fs),i(d,De),i(De,us),i(d,ms),i(d,Ce),i(Ce,ds),i(d,cs),i(d,Ae),i(Ae,hs),i(d,_s),i(d,He),i(He,gs),i(d,ys),r(e,Qe,p),D(ie,e,p),We=!0},p(e,[p]){const se={};p&2&&(se.$$scope={dirty:p,ctx:e}),I.$set(se)},i(e){We||(C(T.$$.fragment,e),C(U.$$.fragment,e),C(G.$$.fragment,e),C(I.$$.fragment,e),C(R.$$.fragment,e),C(Q.$$.fragment,e),C(W.$$.fragment,e),C(X.$$.fragment,e),C(ie.$$.fragment,e),We=!0)},o(e){A(T.$$.fragment,e),A(U.$$.fragment,e),A(G.$$.fragment,e),A(I.$$.fragment,e),A(R.$$.fragment,e),A(Q.$$.fragment,e),A(W.$$.fragment,e),A(X.$$.fragment,e),A(ie.$$.fragment,e),We=!1},d(e){s(h),e&&s(L),e&&s(g),H(T),e&&s(qe),e&&s(b),e&&s(Se),e&&s(E),H(U),e&&s(Me),e&&s($),e&&s(Ie),e&&s(S),e&&s(Oe),H(G,e),e&&s(ze),e&&s(M),e&&s(Be),H(I,e),e&&s(Ne),e&&s(P),H(R),e&&s(Fe),e&&s(z),e&&s(Te),e&&s(c),e&&s(Ke),e&&s(B),e&&s(Ue),H(Q,e),e&&s(Ve),e&&s(j),H(W),e&&s(Ge),e&&s(w),e&&s(Je),e&&s(ne),e&&s(Re),H(X,e),e&&s(Ze),e&&s(d),e&&s(Qe),H(ie,e)}}}const ft={local:"loading-and-adding-custom-pipelines",sections:[{local:"loading-custom-pipelines-from-the-hub",title:"Loading custom pipelines from the Hub"},{local:"loading-official-community-pipelines",title:"Loading official community pipelines"},{local:"adding-custom-pipelines-to-the-hub",title:"Adding custom pipelines to the Hub"}],title:"Loading and Adding Custom Pipelines"};function ut(Le){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _t extends st{constructor(h){super();tt(this,h,ut,rt,lt,{})}}export{_t as default,ft as metadata};
